Index: Portfile
===================================================================
--- Portfile	(revision 100628)
+++ Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortSystem          1.0
 
 name                qpdf
-version             2.3.1
+version             3.0.2
 categories          textproc pdf
 platforms           darwin
 maintainers         masterleep.com:dojo
@@ -17,13 +17,7 @@
 homepage            http://qpdf.sourceforge.net/
 master_sites        sourceforge:project/qpdf/qpdf/${version}
 
-checksums           rmd160  e348f5507a917db007f3f86c6bada76f8cc58d48 \
-                    sha256  e1e687bbc0137e296c702daa5e2d804efce37c4edb48f2c27ae0dd0b43f99a40
+checksums           rmd160  2db2a8dc34b8ff6df506a5857cc9bc84cbebdf29 \
+                    sha256  b0c284945a49c46a0da6f54b06ff25237491ccc0c8bb062ae57d30aee80e165e
 
-depends_lib         port:pcre
-
-# Prevent build errors when upgrading from an older version.
-patchfiles          patch-FLAGS.diff
-
-# Fix build with pcre 8.30.
-patchfiles-append   patch-pcre-8.30.diff
+depends_lib         port:pcre port:zlib
Index: files/patch-FLAGS.diff
===================================================================
--- files/patch-FLAGS.diff	(revision 100628)
+++ files/patch-FLAGS.diff	(working copy)
@@ -1,98 +0,0 @@
---- examples/build.mk.orig	2011-08-11 14:55:06.000000000 -0500
-+++ examples/build.mk	2012-01-03 02:17:19.000000000 -0600
-@@ -36,4 +36,4 @@
- 
- $(foreach B,$(BINS_examples) $(CBINS_examples),$(eval \
-   examples/$(OUTPUT_DIR)/$(call binname,$(B)): $(OBJS_$(B)) ; \
--	$(call makebin,$(OBJS_$(B)),$$@,$(LDFLAGS) $(LDFLAGS_libqpdf),$(LIBS_libqpdf) $(LIBS))))
-+	$(call makebin,$(OBJS_$(B)),$$@,$(LDFLAGS_libqpdf) $(LDFLAGS),$(LIBS_libqpdf) $(LIBS))))
---- libtests/build.mk.orig	2011-08-11 14:55:06.000000000 -0500
-+++ libtests/build.mk	2012-01-03 02:16:59.000000000 -0600
-@@ -37,4 +37,4 @@
- 
- $(foreach B,$(BINS_libtests),$(eval \
-   libtests/$(OUTPUT_DIR)/$(call binname,$(B)): $(OBJS_$(B)) ; \
--	$(call makebin,$(OBJS_$(B)),$$@,$(LDFLAGS) $(LDFLAGS_libqpdf),$(LIBS) $(LIBS_libqpdf))))
-+	$(call makebin,$(OBJS_$(B)),$$@,$(LDFLAGS_libqpdf) $(LDFLAGS),$(LIBS) $(LIBS_libqpdf))))
---- make/libtool.mk.orig	2011-08-11 14:55:06.000000000 -0500
-+++ make/libtool.mk	2012-01-03 02:04:20.000000000 -0600
-@@ -31,18 +31,20 @@
- #                       1   2
- # Usage: $(call compile,src,includes)
- define compile
--	$(CXX) $(CPPFLAGS) $(CXXFLAGS) \
-+	$(CXX) $(CXXFLAGS) \
- 		$(call depflags,$(basename $(call src_to_obj,$(1)))) \
- 		$(foreach I,$(2),-I$(I)) \
-+		$(CPPFLAGS) \
- 		-c $(1) -o $(call src_to_obj,$(1))
- endef
- 
- #                       1   2
- # Usage: $(call c_compile,src,includes)
- define c_compile
--	$(CC) $(CPPFLAGS) $(CFLAGS) \
-+	$(CC) $(CFLAGS) \
- 		$(call depflags,$(basename $(call c_src_to_obj,$(1)))) \
- 		$(foreach I,$(2),-I$(I)) \
-+		$(CPPFLAGS) \
- 		-c $(1) -o $(call c_src_to_obj,$(1))
- endef
- 
-@@ -50,9 +52,10 @@
- # Usage: $(call libcompile,src,includes)
- define libcompile
- 	$(LIBTOOL) --quiet --mode=compile \
--		$(CXX) $(CPPFLAGS) $(CXXFLAGS) \
-+		$(CXX) $(CXXFLAGS) \
- 		$(call libdepflags,$(basename $(call src_to_obj,$(1)))) \
- 		$(foreach I,$(2),-I$(I)) \
-+		$(CPPFLAGS) \
- 		-c $(1) -o $(call src_to_obj,$(1)); \
- 	$(call fixdeps,$(basename $(call src_to_obj,$(1))))
- endef
-@@ -61,9 +64,10 @@
- # Usage: $(call libcompile,src,includes)
- define c_libcompile
- 	$(LIBTOOL) --quiet --mode=compile \
--		$(CC) $(CPPFLAGS) $(CXXFLAGS) \
-+		$(CC) $(CXXFLAGS) \
- 		$(call libdepflags,$(basename $(call c_src_to_obj,$(1)))) \
- 		$(foreach I,$(2),-I$(I)) \
-+		$(CPPFLAGS) \
- 		-c $(1) -o $(call c_src_to_obj,$(1)); \
- 	$(call fixdeps,$(basename $(call src_to_obj,$(1))))
- endef
-@@ -80,14 +84,14 @@
- # Usage: $(call makelib,objs,library,ldflags,libs,current,revision,age)
- define makelib
- 	$(LIBTOOL) --mode=link \
--		$(CXX) $(CXXFLAGS) -o $(2) $(1) $(3) $(4) \
-+		$(CXX) $(CXXFLAGS) -o $(2) $(1) $(4) $(3) \
- 		 -rpath $(libdir) -version-info $(5):$(6):$(7)
- endef
- 
- #                       1    2      3       4
- # Usage: $(call makebin,objs,binary,ldflags,libs)
- define makebin
--	$(LIBTOOL) --mode=link $(CXX) $(CXXFLAGS) $(1) -o $(2) $(3) $(4)
-+	$(LIBTOOL) --mode=link $(CXX) $(CXXFLAGS) $(1) -o $(2) $(4) $(3)
- endef
- 
- # Install target
---- qpdf/build.mk.orig	2011-08-11 14:55:06.000000000 -0500
-+++ qpdf/build.mk	2012-01-03 02:13:13.000000000 -0600
-@@ -30,4 +30,4 @@
- 
- $(foreach B,$(BINS_qpdf) $(CBINS_qpdf),$(eval \
-   qpdf/$(OUTPUT_DIR)/$(call binname,$(B)): $(OBJS_$(B)) ; \
--	$(call makebin,$(OBJS_$(B)),$$@,$(LDFLAGS) $(LDFLAGS_libqpdf),$(LIBS_libqpdf) $(LIBS))))
-+	$(call makebin,$(OBJS_$(B)),$$@,$(LDFLAGS_libqpdf) $(LDFLAGS),$(LIBS_libqpdf) $(LIBS))))
---- zlib-flate/build.mk.orig	2011-08-11 14:55:06.000000000 -0500
-+++ zlib-flate/build.mk	2012-01-03 02:16:39.000000000 -0600
-@@ -19,4 +19,4 @@
- 	$(call compile,$<,$(INCLUDES_zlib-flate))
- 
- zlib-flate/$(OUTPUT_DIR)/$(call binname,zlib-flate): $(OBJS_zlib-flate)
--	$(call makebin,$(OBJS_zlib-flate),$@,$(LDFLAGS) $(LDFLAGS_libqpdf),$(LIBS_libqpdf) $(LIBS))
-+	$(call makebin,$(OBJS_zlib-flate),$@,$(LDFLAGS_libqpdf) $(LDFLAGS),$(LIBS_libqpdf) $(LIBS))
Index: files/patch-pcre-8.30.diff
===================================================================
--- files/patch-pcre-8.30.diff	(revision 100628)
+++ files/patch-pcre-8.30.diff	(working copy)
@@ -1,12 +0,0 @@
-https://sourceforge.net/tracker/?func=detail&aid=3489349&group_id=224196&atid=1060899
---- libqpdf/PCRE.cc.orig
-+++ libqpdf/PCRE.cc
-@@ -144,7 +144,7 @@
-     this->code = pcre_compile(pattern, options, &errptr, &erroffset, 0);
-     if (this->code)
-     {
--	this->nbackrefs = pcre_info(this->code, 0, 0);
-+	pcre_fullinfo(this->code, 0, PCRE_INFO_CAPTURECOUNT, &(this->nbackrefs));
-     }
-     else
-     {