Index: Portfile
===================================================================
--- Portfile	(revision 101229)
+++ Portfile	(working copy)
@@ -1,42 +1,51 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-name		libesmtp
-version		1.0.6
-categories	mail
-license		LGPL-2.1
-maintainers	noses.com:noses
-description	ESMTP library
-homepage	http://www.stafford.uklinux.net/libesmtp/
-platforms	darwin
+PortSystem          1.0
 
-long_description libESMTP is a library to manage posting (or submission of) \
-		 electronic mail using SMTP to a preconfigured Mail Transport \
-		 Agent (MTA) such as Exim. It may be used as part of a Mail \
-		 User Agent (MUA) or another program that must be able to \
-		 post electronic mail but where mail functionality is not \
-		 that program's primary purpose. libESMTP is not intended \
-		 to be used as part of a program that implements a Mail \
-		 Transport Agent. It is hoped that the availability of a \
-		 lightweight library implementing an SMTP client will both \
-		 ease the task of coding for software authors and improve the \
-		 quality of the resulting code.
+name                libesmtp
+version             1.0.6
+categories          mail
+platforms           darwin
+maintainers         noses.com:noses
+license             LGPL-2.1
 
-master_sites	http://www.stafford.uklinux.net/libesmtp
-use_bzip2	yes
+description         ESMTP library
 
+long_description    libESMTP is a library to manage posting (or submission of) \
+                    electronic mail using SMTP to a preconfigured Mail Transport \
+                    Agent (MTA) such as Exim. It may be used as part of a Mail \
+                    User Agent (MUA) or another program that must be able to \
+                    post electronic mail but where mail functionality is not \
+                    that program’s primary purpose. libESMTP is not intended \
+                    to be used as part of a program that implements a Mail \
+                    Transport Agent. It is hoped that the availability of a \
+                    lightweight library implementing an SMTP client will both \
+                    ease the task of coding for software authors and improve the \
+                    quality of the resulting code.
+
+homepage            http://www.stafford.uklinux.net/libesmtp/
+master_sites        ${homepage}
+use_bzip2           yes
+
 checksums           rmd160  7489ef298b56085f8788a3af4d17aed4ef0f1077 \
                     sha256  d0a61a5c52d99fa7ce7d00ed0a07e341dbda67101dbed1ab0cdae3f37db4eb0b
 
-depends_lib	port:openssl
+depends_lib         port:openssl
 
 post-extract {
     # aclocal: error: couldn't open directory 'm4': No such file or directory
     file mkdir ${worksrcpath}/m4
 }
 
-patchfiles	patch-auth-client.c patch-errors.c patch-headers.c patch-htable.c \
-		patch-protocol.c patch-rfc2822date.c patch-smtp-auth.c \
-		patch-smtp-tls.c patch-configure.ac.diff
+patchfiles          patch-auth-client.c \
+                    patch-errors.c \
+                    patch-headers.c \
+                    patch-htable.c \
+                    patch-protocol.c \
+                    patch-rfc2822date.c \
+                    patch-smtp-auth.c \
+                    patch-smtp-tls.c \
+                    patch-configure.ac.diff
 
-use_autoreconf yes
+use_autoreconf      yes
Index: files/patch-configure.ac.diff
===================================================================
--- files/patch-configure.ac.diff	(revision 101229)
+++ files/patch-configure.ac.diff	(working copy)
@@ -1,5 +1,14 @@
 --- configure.ac.orig	2010-08-09 15:24:50.000000000 -0500
-+++ configure.ac	2012-05-13 21:38:53.000000000 -0500
++++ configure.ac	2013-01-06 10:39:42.000000000 -0600
+@@ -25,7 +25,7 @@
+ dnl #########################################################################
+ 
+ AC_INIT(smtp-api.c)
+-AM_CONFIG_HEADER(config.h)
++AC_CONFIG_HEADERS([config.h])
+ AM_INIT_AUTOMAKE([libesmtp],[1.0.6])
+ AC_CANONICAL_HOST
+ AC_CONFIG_MACRO_DIR([m4])
 @@ -539,7 +539,7 @@
  dnl #########################################################################
  