--- Portfile.orig	2013-01-06 16:46:38.000000000 +0100
+++ Portfile	2013-01-06 16:50:09.000000000 +0100
@@ -1,36 +1,36 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id: Portfile 91552 2012-04-05 01:30:01Z takeshi@macports.org $
 
-PortSystem                  1.0
+PortSystem          1.0
 
-name                        gmt4
-version                     4.5.8
-categories                  science
-platforms                   darwin
-maintainers                 takeshi
-license                     LGPL-3
-description                 the generic mapping tools
+name                gmt4
+version             4.5.8
+categories          science
+platforms           darwin
+maintainers         takeshi
+license             LGPL-3
+description         the generic mapping tools
 long_description GMT is an open source collection of ~65 tools  \
     for manipulating geographic and Cartesian data sets and     \
     producing Encapsulated PostScript File (EPS) illustrations  \
-    ranging from simple x-y plots via contour maps to           \
+    ranging from simple x-y plots via contour maps to   \
     artificially illuminated surfaces and 3-D perspective views.
-conflicts                   gmt
-homepage                    http://gmt.soest.hawaii.edu/
-master_sites                ftp://ftp.soest.hawaii.edu/gmt          \
-                            ftp://ibis.grdl.noaa.gov/pub/gmt        \
-                            ftp://ftp.iris.washington.edu/pub/gmt   \
-                            ftp://ftp.iag.usp.br/pub/gmt            \
-                            ftp://ftp.geologi.uio.no/pub/gmt        \
-                            ftp://gd.tuwien.ac.at/pub/gmt           \
-                            ftp://ftp.scc.u-tokai.ac.jp/pub/gmt     \
-                            ftp://mirror.geosci.usyd.edu.au/pub/gmt \
-                            ftp://gmt.mirror.ac.za/pub/gmt
-use_bzip2                   yes
-set gshhsversion            2.2.0
-set gmtsrc                  gmt-${version}.tar.bz2
-set gshhs                   gshhs-${gshhsversion}.tar.bz2
-distfiles                   ${gmtsrc} ${gshhs}
+conflicts           gmt
+homepage            http://gmt.soest.hawaii.edu/
+master_sites        ftp://ftp.soest.hawaii.edu/gmt          \
+                    ftp://ibis.grdl.noaa.gov/pub/gmt        \
+                    ftp://ftp.iris.washington.edu/pub/gmt   \
+                    ftp://ftp.iag.usp.br/pub/gmt            \
+                    ftp://ftp.geologi.uio.no/pub/gmt        \
+                    ftp://gd.tuwien.ac.at/pub/gmt           \
+                    ftp://ftp.scc.u-tokai.ac.jp/pub/gmt     \
+                    ftp://mirror.geosci.usyd.edu.au/pub/gmt \
+                    ftp://gmt.mirror.ac.za/pub/gmt
+use_bzip2           yes
+set gshhsversion    2.2.0
+set gmtsrc          gmt-${version}.tar.bz2
+set gshhs           gshhs-${gshhsversion}.tar.bz2
+distfiles           ${gmtsrc} ${gshhs}
 checksums           ${gmtsrc} \
                     md5     8a3fa928bcb8a82ebaed68d62ba8f1ba \
                     sha1    823783c1abc9a7e0493c35661e516d4f607fff17 \
@@ -40,9 +40,9 @@
                     sha1    786d58b9a335d3bacb37f40f21ee3bfbb424cd10 \
                     rmd160  aa744b2fdcdf849cc5c4abce97f1d29f4cdc20a4
 
-worksrcdir                  GMT${version}
+worksrcdir          GMT${version}
 
-depends_lib                 port:netcdf
+depends_lib         port:netcdf
 
 post-extract {
     # move GSHHS coastlines to worksrcpath
@@ -61,9 +61,9 @@
                             --disable-mex
 configure.optflags-delete   -O2
 
-use_parallel_build          no
-universal_variant           no
-destroot.target             install-all
+use_parallel_build  no
+universal_variant   no
+destroot.target     install-all
 configure.ldflags-delete    -L${prefix}/lib
 
 post-destroot {
@@ -87,7 +87,7 @@
     configure.args-append   --enable-triangle
 }
 
-livecheck.type              regex
-livecheck.url               http://gmt.soest.hawaii.edu/gmt/gmt_home.html
-livecheck.regex             {Current version is [^0-9 ]*([0-9]+\.[0-9]+\.[0-9]+)}
+livecheck.type      regex
+livecheck.url       http://gmt.soest.hawaii.edu/gmt/gmt_home.html
+livecheck.regex     {Current version is [^0-9 ]*([0-9]+\.[0-9]+\.[0-9]+)}
 