Index: Portfile
===================================================================
--- Portfile	(revision 107063)
+++ Portfile	(working copy)
@@ -4,8 +4,7 @@
 PortSystem          1.0
 
 name                ccpnmr
-version             2.2.2
-revision            2
+version             2.3.0
 set branch          [join [lrange [split $version .] 0 1] .]
 categories          science python
 maintainers         bromo.med.uc.edu:howarth
@@ -20,8 +19,8 @@
 homepage            http://www.ccpn.ac.uk/ccpn/software/ccpnmr-suite
 master_sites        http://www2.ccpn.ac.uk/download/ccpnmr/
 distname            analysis${version}
-checksums           md5     a3ede39ed484d261eb82137055dc66a1 \
-                    sha1    825ad7487ef6191baac0e5aa3d0ec6a6ed94a04f
+checksums           rmd160  1124fa7d38fb6e709bbd078b630f6619bc433bd9 \
+                    sha256  b36ed5b773ca6b0d7a09ff705cf98256cbc093f57d51f6945ac021c5d2a380f1
 worksrcdir          ${name}
 depends_lib         port:py27-scipy port:mesa port:freeglut port:tk port:py27-tkinter
 patchfiles          ccpnmr.patch
Index: files/ccpnmr.patch
===================================================================
--- files/ccpnmr.patch	(revision 107063)
+++ files/ccpnmr.patch	(working copy)
@@ -9,7 +9,7 @@
 +    export LIBGL_ALWAYS_INDIRECT=1
 +fi
 +
-+@PYTHON_BIN@ -i -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.2/python/ccpnmr/analysis/AnalysisGui.py $1 $2 $3 $4 $5
++@PYTHON_BIN@ -i -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.3/python/ccpnmr/analysis/AnalysisGui.py $1 $2 $3 $4 $5
 --- bin/formatConverter.orig	1970-01-01 01:00:00.000000000 +0100
 +++ bin/formatConverter	2005-12-23 20:44:06.000000000 +0000
 @@ -0,0 +1,9 @@
@@ -21,7 +21,7 @@
 +    export LIBGL_ALWAYS_INDIRECT=1
 +fi
 +
-+@PYTHON_BIN@ -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.2/python/ccpnmr/format/gui/FormatConverter.py $1 $2
++@PYTHON_BIN@ -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.3/python/ccpnmr/format/gui/FormatConverter.py $1 $2
 --- bin/pipe2azara.orig	1970-01-01 01:00:00.000000000 +0100
 +++ bin/pipe2azara	2005-12-23 20:44:06.000000000 +0000
 @@ -0,0 +1,9 @@
@@ -33,7 +33,7 @@
 +    export LIBGL_ALWAYS_INDIRECT=1
 +fi
 +
-+@PYTHON_BIN@ -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.2/python/ccpnmr/analysis/NmrPipeData.py $1 $2 $3
++@PYTHON_BIN@ -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.3/python/ccpnmr/analysis/NmrPipeData.py $1 $2 $3
 --- bin/dataShifter.orig	1970-01-01 01:00:00.000000000 +0100
 +++ bin/dataShifter	2008-03-24 19:03:07.000000000 +0000
 @@ -0,0 +1,9 @@
@@ -45,7 +45,7 @@
 +    export LIBGL_ALWAYS_INDIRECT=1
 +fi
 +
-+@PYTHON_BIN@ -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.2/python/ccpnmr/format/gui/DataShifter.py
++@PYTHON_BIN@ -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.3/python/ccpnmr/format/gui/DataShifter.py
 --- bin/updateAll.orig	1970-01-01 01:00:00.000000000 +0100
 +++ bin/updateAll	2008-03-24 19:04:31.000000000 +0000
 @@ -0,0 +1,9 @@
@@ -57,7 +57,7 @@
 +    export LIBGL_ALWAYS_INDIRECT=1
 +fi
 +
-+@PYTHON_BIN@ -i -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.2/python/ccpnmr/update/UpdateAuto.py
++@PYTHON_BIN@ -i -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.3/python/ccpnmr/update/UpdateAuto.py
 --- bin/updateCheck.orig	1970-01-01 01:00:00.000000000 +0100
 +++ bin/updateCheck	2008-03-24 19:06:16.000000000 +0000
 @@ -0,0 +1,9 @@
@@ -69,9 +69,9 @@
 +    export LIBGL_ALWAYS_INDIRECT=1
 +fi
 +
-+@PYTHON_BIN@ -i -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.2/python/ccpnmr/update/UpdatePopup.py
---- ccpnmr2.2/c/ccp/structure/Makefile.orig	2012-03-13 12:30:17.000000000 -0400
-+++ ccpnmr2.2/c/ccp/structure/Makefile	2012-04-08 17:19:22.000000000 -0400
++@PYTHON_BIN@ -i -O @PYTHON_PKGD@/ccpnmr/ccpnmr2.3/python/ccpnmr/update/UpdatePopup.py
+--- ccpnmr2.3/c/ccp/structure/Makefile.orig	2012-03-13 12:30:17.000000000 -0400
++++ ccpnmr2.3/c/ccp/structure/Makefile	2012-04-08 17:19:22.000000000 -0400
 @@ -40,11 +40,11 @@
  	$(GLOBAL_DIR)/py_tk_handler.$(OBJ_SUFFIX) \
  	$(GLOBAL_DIR)/py_tk_util.$(OBJ_SUFFIX)
@@ -88,8 +88,8 @@
  
  ALL_LIB = $(GL_LIB) $(TK_LIB) $(X11_LIB) $(MATH_LIB)
  
---- ccpnmr2.2/c/ccpnmr/analysis/Makefile.orig	2012-03-13 12:30:17.000000000 -0400
-+++ ccpnmr2.2/c/ccpnmr/analysis/Makefile	2012-04-08 17:18:17.000000000 -0400
+--- ccpnmr2.3/c/ccpnmr/analysis/Makefile.orig	2012-03-13 12:30:17.000000000 -0400
++++ ccpnmr2.3/c/ccpnmr/analysis/Makefile	2012-04-08 17:18:17.000000000 -0400
 @@ -55,11 +55,11 @@
  	$(GLOBAL_DIR)/py_tk_handler.$(OBJ_SUFFIX) \
  	$(GLOBAL_DIR)/py_tk_util.$(OBJ_SUFFIX)
@@ -106,8 +106,8 @@
  
  ALL_LIB = $(GL_LIB) $(TK_LIB) $(X11_LIB) $(MATH_LIB)
  
---- ccpnmr2.2/c/memops/global/Makefile.orig	2012-03-13 12:30:17.000000000 -0400
-+++ ccpnmr2.2/c/memops/global/Makefile	2012-04-08 17:11:36.000000000 -0400
+--- ccpnmr2.3/c/memops/global/Makefile.orig	2012-03-13 12:30:17.000000000 -0400
++++ ccpnmr2.3/c/memops/global/Makefile	2012-04-08 17:11:36.000000000 -0400
 @@ -137,10 +137,10 @@
  
  TCLTK_LIB = $(TK_LIB) $(X11_LIB) $(MATH_LIB)
@@ -122,8 +122,8 @@
  
  ALL_LIB = $(GL_LIB) $(TK_LIB) $(X11_LIB) $(MATH_LIB)
  
---- ccpnmr2.2/c/environment-opengl.txt.orig	2012-04-08 17:31:08.000000000 -0400
-+++ ccpnmr2.2/c/environment-opengl.txt	2012-04-08 17:33:55.000000000 -0400
+--- ccpnmr2.3/c/environment-opengl.txt.orig	2012-04-08 17:31:08.000000000 -0400
++++ ccpnmr2.3/c/environment-opengl.txt	2012-04-08 17:33:55.000000000 -0400
 @@ -0,0 +1,56 @@
 +#Environment file for use with fink to build ccpnmr suite - environment.txt
 +