Index: gis/gdal/Portfile
===================================================================
--- gis/gdal/Portfile	(revision 101749)
+++ gis/gdal/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                gdal
 version             1.9.2
+revision            1
 categories          gis
 license             MIT BSD
 platforms           darwin
Index: graphics/field3d/Portfile
===================================================================
--- graphics/field3d/Portfile	(revision 101749)
+++ graphics/field3d/Portfile	(working copy)
@@ -6,6 +6,7 @@
 
 github.setup            imageworks Field3D 1.3.2 v
 name                    field3d
+revision                1
 categories              graphics
 maintainers             blair
 license                 BSD
Index: graphics/vigra/Portfile
===================================================================
--- graphics/vigra/Portfile	(revision 101749)
+++ graphics/vigra/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                vigra
 version             1.8.0
-revision            1
+revision            2
 categories          graphics
 platforms           darwin
 maintainers         gmail.com:benjamin.seppke
Index: math/gnudatalanguage/Portfile
===================================================================
--- math/gnudatalanguage/Portfile	(revision 101749)
+++ math/gnudatalanguage/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                        gnudatalanguage
 version                     0.9.2
-revision                    3
+revision                    4
 epoch                       1
 categories                  math science
 maintainers                 takeshi igf.fuw.edu.pl:slayoo
Index: math/octave/Portfile
===================================================================
--- math/octave/Portfile	(revision 101749)
+++ math/octave/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                octave
 version             3.2.4
-revision            10
+revision            11
 conflicts           octave-devel
 categories          math science
 license             GPL-3+
Index: math/octave-devel/Portfile
===================================================================
--- math/octave-devel/Portfile	(revision 101749)
+++ math/octave-devel/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                octave-devel
 version             3.6.3
+revision            1
 conflicts           octave
 categories          math science
 maintainers         michaelld openmaintainer
Index: math/petsc/Portfile
===================================================================
--- math/petsc/Portfile	(revision 101749)
+++ math/petsc/Portfile	(working copy)
@@ -6,6 +6,7 @@
 
 name		petsc
 version     3.3-p5
+revision    1
 categories  math science
 maintainers	mmoll
 description	Portable, Extensible Toolkit for Scientific Computation
Index: math/shogun/Portfile
===================================================================
--- math/shogun/Portfile	(revision 101749)
+++ math/shogun/Portfile	(working copy)
@@ -6,6 +6,7 @@
 categories          math science
 name                shogun
 version             0.9.3
+revision            1
 set branch          [join [lrange [split ${version} .] 0 1] .]
 license             GPL-3
 maintainers         jameskyle
Index: perl/p5-pdl/Portfile
===================================================================
--- perl/p5-pdl/Portfile	(revision 101749)
+++ perl/p5-pdl/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 perl5.branches      5.8 5.10 5.12 5.14 5.16
 perl5.setup         PDL 2.4.6
-revision            3
+revision            4
 maintainers         saao.ac.za:tim
 description         Perl Data Language - scientific computing capability for perl
 long_description    The perlDL project aims to turn perl into an efficient numerical \
Index: python/py-h5py/Portfile
===================================================================
--- python/py-h5py/Portfile	(revision 101749)
+++ python/py-h5py/Portfile	(working copy)
@@ -8,7 +8,7 @@
 version             2.1.1
 
 # h5py needs to be re-built after hdf5-18 upgrades
-revision            1
+revision            2
 
 checksums \
     rmd160  9884028e5f7b768f77a1c808c10dd6af4414fb01 \
Index: python/py-tables/Portfile
===================================================================
--- python/py-tables/Portfile	(revision 101749)
+++ python/py-tables/Portfile	(working copy)
@@ -6,7 +6,7 @@
 set realname        tables
 name                py-${realname}
 version             2.4.0
-revision            1
+revision            2
 python.versions     26 27
 python.default_version 27
 categories          python science
Index: science/H5Part/Portfile
===================================================================
--- science/H5Part/Portfile	(revision 101749)
+++ science/H5Part/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                H5Part
 version             1.6.6
+revision            1
 categories          science
 maintainers         lbl.gov:ghweber
 license             BSD
Index: science/alps/Portfile
===================================================================
--- science/alps/Portfile	(revision 101749)
+++ science/alps/Portfile	(working copy)
@@ -7,7 +7,7 @@
 
 name                    alps
 version                 2.1.1
-revision                1
+revision                2
 categories              science
 platforms               darwin
 maintainers             gmail.com:gamperl
Index: science/armadillo/Portfile
===================================================================
--- science/armadillo/Portfile	(revision 101749)
+++ science/armadillo/Portfile	(working copy)
@@ -6,6 +6,7 @@
 
 name                            armadillo
 version                         3.4.0
+revision                        1
 categories                      science
 platforms                       darwin
 maintainers                     gmail.com:christian.frisson openmaintainer
Index: science/bob/Portfile
===================================================================
--- science/bob/Portfile	(revision 101749)
+++ science/bob/Portfile	(working copy)
@@ -8,6 +8,7 @@
 
 github.setup        idiap bob 1.1.2 v
 set soversion       1.1
+revision            1
 categories          science math devel
 platforms           darwin
 maintainers         idiap.ch:andre.anjos \
Index: science/flann/Portfile
===================================================================
--- science/flann/Portfile	(revision 101749)
+++ science/flann/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                flann
 version             1.8.1
+revision            1
 categories          science devel
 maintainers         mmoll
 description         Fast Library for Approximate Nearest Neighbors
Index: science/h4h5tools/Portfile
===================================================================
--- science/h4h5tools/Portfile	(revision 101749)
+++ science/h4h5tools/Portfile	(working copy)
@@ -4,6 +4,7 @@
 
 name			h4h5tools
 version			2.2.1
+revision    1
 categories		science
 platforms		darwin
 maintainers		dal.ca:tom.duck openmaintainer
Index: science/h5utils/Portfile
===================================================================
--- science/h5utils/Portfile	(revision 101749)
+++ science/h5utils/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                h5utils
 version             1.12.1
-revision            1
+revision            2
 categories          science
 platforms           darwin
 maintainers         ece.pdx.edu:higginja
Index: science/hdf5-18/Portfile
===================================================================
--- science/hdf5-18/Portfile	(revision 101749)
+++ science/hdf5-18/Portfile	(working copy)
@@ -7,8 +7,7 @@
 
 set realname        hdf5
 name                ${realname}-18
-version             1.8.9
-revision            2
+version             1.8.10
 categories          science
 maintainers         mmoll openmaintainer
 
@@ -30,8 +29,8 @@
     ftp://ftp.hdfgroup.org/HDF5/current/src/ \
     ftp://ftp.hdfgroup.org/HDF5/prev-releases/hdf5-${version}/src/
 checksums \
-    rmd160  4c1a4160fbac6befa15b2dc039f20858c31db37d \
-    sha256  fafe54856b00f0d6531629f66e2c476ab6ee03458803088f270bbfc4a60966c7
+    rmd160  78fe33ae4205068f7bddeb98f0e7a2c77310b651 \
+    sha256  fa6e6b37b7976edac860732b87c50370e3beba3ae784d05f16f298c033a45a44
 distname            ${realname}-${version}
 use_bzip2           yes
 depends_lib         port:zlib
@@ -40,6 +39,10 @@
 # nawk: bailing out at source line 273
 conflicts_build     nawk
 
+# llvm-gcc-4.2 produced code fails type conversion tests
+# Upstream suggestion is use -O0. Clang-produced code passes all tests.
+configure.compiler  clang
+
 configure.args      --with-zlib=yes --enable-filters=all \
                     --enable-production --disable-fortran \
                     --disable-cxx --enable-shared --enable-static \
Index: science/hdfeos5/Portfile
===================================================================
--- science/hdfeos5/Portfile	(revision 101749)
+++ science/hdfeos5/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                hdfeos5
 version             1.14
-revision            2
+revision            3
 categories          science
 platforms           darwin
 license             public-domain
Index: science/nco/Portfile
===================================================================
--- science/nco/Portfile	(revision 101749)
+++ science/nco/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                        nco
 version                     4.2.3
+revision                    1
 platforms                   darwin
 maintainers                 takeshi
 license                     GPL-3
Index: science/ncview/Portfile
===================================================================
--- science/ncview/Portfile	(revision 101749)
+++ science/ncview/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                    ncview
 version                 2.1.1
+revision                1
 maintainers             nomaintainer
 platforms               darwin
 categories              science
Index: science/netcdf/Portfile
===================================================================
--- science/netcdf/Portfile	(revision 101749)
+++ science/netcdf/Portfile	(working copy)
@@ -6,6 +6,7 @@
 name                        netcdf
 epoch                       2
 version                     4.2.1.1
+revision                    1
 maintainers                 takeshi openmaintainer
 platforms                   darwin
 categories                  science
Index: science/silo/Portfile
===================================================================
--- science/silo/Portfile	(revision 101749)
+++ science/silo/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                silo
 version             4.8
-revision            1
+revision            2
 categories          science
 platforms           darwin
 maintainers         nomaintainer
Index: science/splash/Portfile
===================================================================
--- science/splash/Portfile	(revision 101749)
+++ science/splash/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                splash
 version             2.2.0
-revision            0
+revision            1
 categories          science graphics
 platforms           darwin
 maintainers         monash.edu:daniel.price
Index: science/swarm/Portfile
===================================================================
--- science/swarm/Portfile	(revision 101749)
+++ science/swarm/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                swarm
 version             2.4.1
-revision            2
+revision            3
 categories          science
 maintainers         nomaintainer
 license             GPL-2
Index: science/vapor/Portfile
===================================================================
--- science/vapor/Portfile	(revision 101749)
+++ science/vapor/Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortSystem          1.0
 name                vapor
 version             1.5.2
-revision            1
+revision            2
 categories          science
 maintainers         takeshi
 description         interactive 3D scientific visualization environment
Index: science/wgrib2/Portfile
===================================================================
--- science/wgrib2/Portfile	(revision 101749)
+++ science/wgrib2/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                wgrib2
 version             1.9.6a
-revision            5
+revision            6
 platforms           darwin
 maintainers         takeshi
 license             public-domain
Index: science/yorick-hdf5/Portfile
===================================================================
--- science/yorick-hdf5/Portfile	(revision 101749)
+++ science/yorick-hdf5/Portfile	(working copy)
@@ -6,6 +6,7 @@
 
 set uname           hdf5
 github.setup        frigaut yorick-${uname} 0.8.0
+revision            1
 license             GPL-2+
 categories          science yorick
 platforms           darwin