Index: devel/valgrind/Portfile
===================================================================
--- devel/valgrind/Portfile	(revision 102395)
+++ devel/valgrind/Portfile	(working copy)
@@ -5,6 +5,7 @@
 name            valgrind
 conflicts       valgrind-devel
 version         3.8.1
+revision        1
 categories      devel
 platforms       darwin
 supported_archs i386 x86_64
@@ -69,8 +70,8 @@
     }
 }
 
-variant mpich2 description {Use mpich2 for MPI support} conflicts universal {
-    depends_lib-append port:mpich2
+variant mpich description {Use mpich for MPI support} conflicts universal {
+    depends_lib-append path:bin/mpicc:mpich
     configure.args-delete --without-mpicc
     configure.args-append --with-mpicc=${prefix}/bin/mpicc
 }
@@ -84,3 +85,5 @@
 livecheck.type  regex
 livecheck.url ${homepage}
 livecheck.regex ${name}-(\\d(?:\\.\\d)+)
+
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
Index: devel/valgrind-devel/Portfile
===================================================================
--- devel/valgrind-devel/Portfile	(revision 102395)
+++ devel/valgrind-devel/Portfile	(working copy)
@@ -7,6 +7,7 @@
 svn.revision    13189
 set vex_revision 2601
 version         3.9.0-r${svn.revision}
+revision        1
 categories      devel
 platforms       darwin
 supported_archs i386 x86_64
@@ -62,8 +63,8 @@
     }
 }
 
-variant mpich2 description {Use mpich2 for MPI support} conflicts universal {
-    depends_lib-append port:mpich2
+variant mpich description {Use mpich for MPI support} conflicts universal {
+    depends_lib-append path:bin/mpicc:mpich
     configure.args-delete --without-mpicc
     configure.args-append --with-mpicc=${prefix}/bin/mpicc
 }
@@ -75,3 +76,5 @@
 }
 
 livecheck.type none
+
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
Index: graphics/vtk-devel/Portfile
===================================================================
--- graphics/vtk-devel/Portfile	(revision 102395)
+++ graphics/vtk-devel/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name            vtk-devel
 version         5.4.2
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 
 categories      graphics math science devel
@@ -760,7 +760,7 @@
 variant mpi description "use message passing interface (mpich2) for parallel support" {
     set nCPU [expr [exec sysctl -n hw.logicalcpu_max]]
     depends_lib-append \
-        port:mpich2
+        path:bin/mpicc:mpich
     configure.args-append \
         -DVTK_USE_MPI:BOOL=ON \
         -DMPI_COMPILER:FILEPATH=${prefix}/bin/mpicxx \
Index: lang/omnixmp/Portfile
===================================================================
--- lang/omnixmp/Portfile	(revision 102395)
+++ lang/omnixmp/Portfile	(working copy)
@@ -49,7 +49,7 @@
     default_variants    +gcc45
 }
 
-if {![variant_isset mpich2] && ![variant_isset mpich]} {
+if {![variant_isset mpich]} {
     default_variants-append +openmpi
 }
 
@@ -75,19 +75,15 @@
     configure.compiler  macports-gcc-4.7
 }
 
-variant openmpi conflicts mpich2 mpich description {build with OpenMPI} {
+variant openmpi conflicts mpich description {build with OpenMPI} {
     depends_lib-append      port:openmpi
     configure.args-append   --with-mpicc=${prefix}/lib/openmpi/bin/mpicc
     configure.args-append   --with-mpif90=${prefix}/lib/openmpi/bin/mpif90
 }
 
-variant mpich2 conflicts openmpi mpich description {build with MPICH2} {
-    depends_lib-append      port:mpich2
-    configure.args-append   --with-mpicc=${prefix}/bin/mpicc
-    configure.args-append   --with-mpif90=${prefix}/bin/mpif90
-}
+variant mpich2 requires mpich description {Variant remaned as +mpich} {}
 
-variant mpich conflicts openmpi mpich2 description {build with MPICH3} {
+variant mpich conflicts openmpi description {build with MPICH} {
     depends_lib-append      port:mpich
     configure.args-append   --with-mpicc=${prefix}/bin/mpicc
     configure.args-append   --with-mpif90=${prefix}/bin/mpif90
Index: math/arpack/Portfile
===================================================================
--- math/arpack/Portfile	(revision 102395)
+++ math/arpack/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name          arpack
 version       3.1.2
+revision      1
 categories    math
 license       BSD
 platforms     darwin
@@ -46,17 +47,17 @@
     set universal_archs_supported "ppc ppc64"
 }
 
-variant openmpi description {build with OpenMPI} conflicts mpich2 {
+variant openmpi description {build with OpenMPI} conflicts mpich {
     depends_lib-append port:openmpi
     configure.env-append MPIF77=${prefix}/bin/openmpif77
 }
 
-variant mpich2 description {build with MPICH2} conflicts openmpi {
-    depends_lib-append port:mpich2
+variant mpich description {build with MPICH} conflicts openmpi {
+    depends_lib-append path:bin/mpicc:mpich
     configure.env-append MPIF77=${prefix}/bin/mpif77
 }
 
-if {![variant_isset mpich2]} {
+if {![variant_isset mpich]} {
     default_variants +openmpi
 }
 
@@ -98,7 +99,7 @@
 variant accelerate conflicts atlas description {build with Accelerate framework} {
     configure.args-append --with-lapack=/usr/lib/liblapack.dylib
     patchfiles-append patch-ARPACK-cdot-and-zdot.diff
-    if {[variant_isset openmpi] || [variant_isset mpich2]} {
+    if {[variant_isset openmpi] || [variant_isset mpich]} {
         patchfiles-append patch-PARPACK-cdot-and-zdot.diff
     }
 }
@@ -121,3 +122,5 @@
 livecheck.type  regex
 livecheck.url   http://forge.scilab.org/index.php/p/arpack-ng/downloads/
 livecheck.regex ${name}-ng (\[0-9.\]+\[0-9\])
+
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
Index: math/fftw/Portfile
===================================================================
--- math/fftw/Portfile	(revision 102395)
+++ math/fftw/Portfile	(working copy)
@@ -4,7 +4,7 @@
 
 name		fftw
 version		2.1.5
-revision	4
+revision	5
 categories	math devel
 license		GPL-2+
 maintainers	nomaintainer
@@ -71,6 +71,6 @@
 }
 
 variant mpi description {Include FFTW MPI library} {
-    depends_lib-append port:mpich2
+    depends_lib-append path:bin/mpicc:mpich
     configure.args-append --enable-mpi
 }
Index: math/fftw-3/Portfile
===================================================================
--- math/fftw-3/Portfile	(revision 102395)
+++ math/fftw-3/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name            fftw-3
 version         3.3.3
+revision        1
 categories      math
 license         GPL-2+
 platforms       darwin
@@ -115,7 +116,7 @@
         file delete ${destroot}${prefix}/share/info/fftw3.info-4
         file delete ${destroot}${prefix}/share/info/fftw3.info-5
 
-        if {[variant_isset mpich2] || [variant_isset openmpi]} {
+        if {[variant_isset mpich] || [variant_isset openmpi]} {
           file delete ${destroot}${prefix}/include/fftw3-mpi.f03
           file delete ${destroot}${prefix}/include/fftw3-mpi.h
           file delete ${destroot}${prefix}/include/fftw3l-mpi.f03
@@ -162,7 +163,7 @@
         file delete ${destroot}${prefix}/share/info/fftw3.info-4
         file delete ${destroot}${prefix}/share/info/fftw3.info-5
 
-        if {[variant_isset mpich2] || [variant_isset openmpi]} {
+        if {[variant_isset mpich] || [variant_isset openmpi]} {
           file delete ${destroot}${prefix}/include/fftw3-mpi.f03
           file delete ${destroot}${prefix}/include/fftw3-mpi.h
           file delete ${destroot}${prefix}/include/fftw3l-mpi.f03
@@ -251,18 +252,20 @@
     }
 }
 
-variant openmpi description {compile FFTW MPI library with OpenMPI} conflicts mpich2 {
+variant openmpi description {compile FFTW MPI library with OpenMPI} conflicts mpich {
     depends_lib-append      port:openmpi
     configure.env           MPICC=${prefix}/lib/openmpi/bin/mpicc
     configure.args-append   --enable-mpi
 }
 
-variant mpich2 description {compile FFTW MPI library with MPICH2} conflicts openmpi {
-    depends_lib-append      path:bin/mpicc:mpich2
+variant mpich description {compile FFTW MPI library with MPICH} conflicts openmpi {
+    depends_lib-append      path:bin/mpicc:mpich
     configure.env           MPICC=${prefix}/bin/mpicc
     configure.args-append   --enable-mpi
 }
 
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
+
 if {${name} == ${subport}} {
     livecheck.type  regex
     livecheck.url   ${homepage}
Index: math/fftw-single/Portfile
===================================================================
--- math/fftw-single/Portfile	(revision 102395)
+++ math/fftw-single/Portfile	(working copy)
@@ -4,7 +4,7 @@
 
 name		fftw-single
 version		2.1.5
-revision	3
+revision	4
 categories	math devel
 license		GPL-2+
 maintainers	nomaintainer
@@ -74,7 +74,7 @@
 }
 
 variant mpi description {Include FFTW MPI library} {
-    depends_lib-append port:mpich2
+    depends_lib-append path:bin/mpicc:mpich
     configure.args-append --enable-mpi
 }
 
Index: math/petsc/Portfile
===================================================================
--- math/petsc/Portfile	(revision 102395)
+++ math/petsc/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 name		petsc
 version     3.3-p5
-revision    1
+revision    2
 categories  math science
 maintainers	mmoll
 description	Portable, Extensible Toolkit for Scientific Computation
@@ -64,7 +64,7 @@
 
 conflicts_build     petsc
 
-variant openmpi description {Build using the OpenMPI compiler} conflicts mpich2 {
+variant openmpi description {Build using the OpenMPI compiler} conflicts mpich {
     depends_lib-append port:openmpi
     configure.args-append \
         --with-cc=${prefix}/bin/openmpicc \
@@ -73,8 +73,8 @@
         --with-mpiexec=${prefix}/bin/openmpiexec
 }
 
-variant mpich2 description {Build using the MPICH2 compiler} conflicts openmpi {
-    depends_lib-append port:mpich2
+variant mpich description {Build using the MPICH compiler} conflicts openmpi {
+    depends_lib-append path:bin/mpicc:mpich
     configure.args-append \
         --with-cc=${prefix}/bin/mpicc \
         --with-cxx=${prefix}/bin/mpicxx \
@@ -93,7 +93,7 @@
         --with-blas-lapack-lib=${prefix}/lib/libtatlas.dylib
 }
 
-if {![variant_isset mpich2]} {
+if {![variant_isset mpich]} {
     default_variants +openmpi
 }
 if {![variant_isset atlas]} {
@@ -105,3 +105,5 @@
 livecheck.type  regex
 livecheck.url   http://www.mcs.anl.gov/petsc/petsc-2/download/index.html
 livecheck.regex petsc-lite-(\[0-9.\]+(-p\[0-9\]+))\\.tar\\.gz
+
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
Index: math/plda/Portfile
===================================================================
--- math/plda/Portfile	(revision 102395)
+++ math/plda/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                plda
 version             3.1
-revision            1
+revision            2
 categories          math textproc
 maintainers         hum openmaintainer
 
@@ -33,7 +33,7 @@
                     CFLAGS="${configure.cxxflags} [get_canonical_archflags cxx]"
 
 variant mpi description {Add parallel lda} {
-    depends_lib         port:mpich2
+    depends_lib         path:bin/mpicc:mpich
     build.target        lda infer mpi_lda
     post-destroot {
         xinstall -m 755 ${worksrcpath}/mpi_lda ${destroot}${prefix}/bin/mpi_plda
Index: python/py-mpi4py/Portfile
===================================================================
--- python/py-mpi4py/Portfile	(revision 102395)
+++ python/py-mpi4py/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 name            py-mpi4py
 version         1.3
-revision        2
+revision        3
 license         BSD
 description     MPI for Python - Python bindings for MPI
 long_description \
@@ -37,17 +37,18 @@
     depends_lib-append port:openmpi
     build.args-append  "--mpicc=${prefix}/bin/openmpicc"
 
-    # openmpi and mpich2 are not universal
+    # openmpi and mpich are not universal
     universal_variant no
 
     if { ${os.platform} != "darwin" || ${os.major} > 8 } {
 
-        variant mpich2 description {builds with the mpich2 port} {
+        variant mpich description {builds with the mpich port} {
             build.args-delete   "--mpicc=${prefix}/bin/openmpicc"
             depends_lib-delete  port:openmpi
-            depends_lib-append  port:mpich2
+            depends_lib-append  path:bin/mpicc:mpich
         }
 
+        variant mpich2 requires mpich description {Variant renamed as +mpich} {}
     }
 
     variant interpreter description {builds an mpi enabled python interpreter} {
Index: science/hdf5/Portfile
===================================================================
--- science/hdf5/Portfile	(revision 102395)
+++ science/hdf5/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                hdf5
 version             1.6.9
-revision            3
+revision            4
 categories          science
 license             NCSA
 maintainers         nomaintainer
@@ -108,11 +108,13 @@
     }
 }
 
-variant mpich2 description {Parallel HDF5 with mpich2 (disables C++)} {
-    depends_lib-append          port:mpich2
+variant mpich description {Parallel HDF5 with mpich (disables C++)} {
+    depends_lib-append          path:bin/mpicc:mpich
     configure.args-delete       --enable-cxx
     configure.cc                ${prefix}/bin/mpicc
     if { [variant_isset fortran] } {
        configure.fc             ${prefix}/bin/mpif90
     }
 }
+
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
Index: science/hdf5-18/Portfile
===================================================================
--- science/hdf5-18/Portfile	(revision 102395)
+++ science/hdf5-18/Portfile	(working copy)
@@ -8,6 +8,7 @@
 set realname        hdf5
 name                ${realname}-18
 version             1.8.10
+revision            1
 categories          science
 maintainers         mmoll openmaintainer
 
@@ -82,16 +83,16 @@
 
 variant cxx description {
     Enable c++ interfance.
-  +cxx is EXPERIMENTAL with +mpich2, +openmpi, or +threadsafe
+  +cxx is EXPERIMENTAL with +mpich, +openmpi, or +threadsafe
 } {
     configure.args-delete       --disable-cxx
     configure.args-append       --enable-cxx
 }
 
 variant fortran description {
-    Enable fortran bindings. If combined with +openmpi or +mpich2, the\
+    Enable fortran bindings. If combined with +openmpi or +mpich, the\
     respective MPI package must have been built with fortran support.
-  Must be combined with +gcc44, +gcc45, +gcc46, +gcc47, +mpich2, or +openmpi
+  Must be combined with +gcc44, +gcc45, +gcc46, +gcc47, +mpich, or +openmpi
   +fortran is EXPERIMENTAL with +threadsafe
 } {
     configure.args-delete       --disable-fortran
@@ -99,19 +100,19 @@
 }
 
 if {[ variant_isset fortran ] &&
-    !([variant_isset mpich2 ]  ||
+    !([variant_isset mpich ]  ||
       [variant_isset openmpi ] ||
       [variant_isset gcc44]    ||
       [variant_isset gcc45]    ||
       [variant_isset gcc46]    ||
       [variant_isset gcc47]) } {
-    ui_error "+fortran requires +mpich2, +openmpi, or +gccNN"
+    ui_error "+fortran requires +mpich, +openmpi, or +gccNN"
     return -code error
 }
 
 variant threadsafe description {
     Enable threadsafety. 
-  +threadsafe is EXPERIMENTAL with +cxx, +fortran, +mpich2 or +openmpi
+  +threadsafe is EXPERIMENTAL with +cxx, +fortran, +mpich or +openmpi
 } {
     configure.args-delete       --disable-threadsafe
     configure.args-append       --enable-threadsafe --with-pthread
@@ -119,7 +120,7 @@
 
 if {[ variant_isset threadsafe ] && ([ variant_isset cxx] ||
                                      [ variant_isset fortran]) ||
-    ([ variant_isset mpich2 ] || [ variant_isset openmpi ]) &&
+    ([ variant_isset mpich ] || [ variant_isset openmpi ]) &&
     ([ variant_isset cxx ]    || [ variant_isset threadsafe ])  } {
     
     # Tell hdf5-18 to configure in this experimental configuration
@@ -149,25 +150,25 @@
 variant openmpi description { 
     Enable Parallel HDF5 with openmpi. Uses compiler selected with openmpi.
   +openmpi is EXPERIMENTAL with +cxx or +threadsafe.
-} conflicts universal mpich2 gcc44 gcc45 gcc46 gcc47 {
+} conflicts universal mpich gcc44 gcc45 gcc46 gcc47 {
     depends_lib-append          port:openmpi
     configure.cc                ${prefix}/bin/openmpicc
     configure.cxx               ${prefix}/bin/openmpicxx
     configure.fc                ${prefix}/bin/openmpif90
 }
 
-# mpich2 port does not support universal
-variant mpich2 description {
-    Enable Parallel HDF5 with mpich2. Uses compiler selected with mpich2.
-  +mpich2 is EXPERIMENTAL with +cxx or +threadsafe.
+# mpich port does not support universal
+variant mpich description {
+    Enable Parallel HDF5 with mpich. Uses compiler selected with mpich.
+  +mpich is EXPERIMENTAL with +cxx or +threadsafe.
 } conflicts universal openmpi gcc44 gcc45 gcc46 gcc47 {
-    depends_lib-append          path:bin/mpicc:mpich2
+    depends_lib-append          path:bin/mpicc:mpich
     configure.cc                ${prefix}/bin/mpicc
     configure.cxx               ${prefix}/bin/mpicxx
     configure.fc                ${prefix}/bin/mpif90
 }
 
-if {[ variant_isset mpich2 ] || [ variant_isset openmpi ]} {
+if {[ variant_isset mpich ] || [ variant_isset openmpi ]} {
     # These are compiler wrappers that already have MP's flags built in.
     configure.cflags
     configure.cxxflags
@@ -183,28 +184,28 @@
 
 variant gcc44 description {
     Build with MacPorts' gcc44 compiler.
-} conflicts universal gcc45 gcc46 gcc47 openmpi mpich2 {
+} conflicts universal gcc45 gcc46 gcc47 openmpi mpich {
     depends_lib-append          port:gcc44 
     configure.compiler          macports-gcc-4.4
 }
 
 variant gcc45 description {
     Build with MacPorts' gcc45 compiler.
-} conflicts universal gcc44 gcc46 gcc47 openmpi mpich2 {
+} conflicts universal gcc44 gcc46 gcc47 openmpi mpich {
     depends_lib-append          port:gcc45 
     configure.compiler          macports-gcc-4.5
 }
 
 variant gcc46 description {
     Build with MacPorts' gcc46 compiler.
-} conflicts universal gcc44 gcc45 gcc47 openmpi mpich2 {
+} conflicts universal gcc44 gcc45 gcc47 openmpi mpich {
     depends_lib-append          port:gcc46 
     configure.compiler          macports-gcc-4.6
 }
 
 variant gcc47 description {
     Build with MacPorts' gcc47 compiler.
-} conflicts universal gcc44 gcc45 gcc46 openmpi mpich2 {
+} conflicts universal gcc44 gcc45 gcc46 openmpi mpich {
     depends_lib-append          port:gcc47 
     configure.compiler          macports-gcc-4.7
 }
@@ -213,3 +214,5 @@
 livecheck.type      regex
 livecheck.url       http://www.hdfgroup.org/HDF5/release/obtain5.html
 livecheck.regex     5-(\[0-9.\]+)
+
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
Index: science/lalinference/Portfile
===================================================================
--- science/lalinference/Portfile	(revision 102395)
+++ science/lalinference/Portfile	(working copy)
@@ -1,4 +1,4 @@
-# $Id: Portfile 100320 2012-12-08 07:07:50Z ram@macports.org $
+# $Id$
 
 PortSystem    1.0
 PortGroup     active_variants 1.1
Index: science/lalstochastic/Portfile
===================================================================
--- science/lalstochastic/Portfile	(revision 102395)
+++ science/lalstochastic/Portfile	(working copy)
@@ -1,4 +1,4 @@
-# $Id: Portfile 99902 2012-11-21 03:33:00Z ram@macports.org $
+# $Id$
 
 PortSystem    1.0
 
Index: science/mpich2/Portfile
===================================================================
--- science/mpich2/Portfile	(revision 102395)
+++ science/mpich2/Portfile	(working copy)
@@ -4,171 +4,14 @@
 PortSystem          1.0
 
 name                mpich2
-set pkgname         mpich2
 version             1.5
-revision            6
+revision            7
 epoch               20121008 
-
+categories          science parallel net
+homepage            http://www.mpich.org
 license             BSD
-categories          science parallel net
-platforms           darwin
-maintainers         eborisch \
-                    openmaintainer
 
-description         Message Passing Interface (MPI) Library
+replaced_by         mpich
 
-long_description    MPICH2 is an implementation of the Message-Passing \
-                    Interface (MPI). The goals of MPICH2 are to provide an \
-                    MPI implementation for important platforms, including \
-                    clusters, SMPs, and massively parallel processors. It \
-                    also provides a vehicle for MPI implementation research \
-                    and for developing new and better parallel programming \
-                    environments.
+PortGroup           obsolete 1.0
 
-homepage            http://www.mpich.org/
-master_sites        ${homepage}static/tarballs/${version}/
-distname            ${pkgname}-${version}
-
-checksums   \
-    rmd160  69572f5c435aec1ef37af197f7509cfc073ce53a \
-    sha256  7175926fc2e4230f00201e880318c08de4f949c0dbe167fe1b2e256ac79d5f66
-
-subport mpich2-devel {
-# Currently mpich2-devel == mpich2 
-    conflicts           mpich2
-}
-
-universal_variant   no
-
-depends_lib-append  port:libxml2
-conflicts-append    lammpi \
-                    openmpi
- 
-configure.args      --disable-dependency-tracking \
-                    --disable-f77 \
-                    --disable-fc \
-                    --disable-silent-rules \
-                    --enable-base-cache \
-                    --enable-cache \
-                    --enable-cxx \
-                    --enable-fast=O2 \
-                    --enable-shared \
-                    --enable-smpcoll \
-                    --with-device=ch3:nemesis \
-                    --with-mpe \
-                    --with-pm=hydra \
-                    --with-thread-package=posix \
-                    "F90FLAGS='' F90=''"
-
-platform darwin {
-    configure.args-append   --enable-timer-type=mach_absolute_time
-}
-
-# We're making compiler wrappers here... don't default to -O2 for wrappers.
-# Actual library code is compiled with -O2 via --enable-fast=O2 configure arg
-configure.cflags-delete     -O2
-configure.cxxflags-delete   -O2
-configure.fflags-delete     -O2
-configure.fcflags-delete    -O2
-
-post-destroot {
-    # Move examples directories to preferred location
-    move ${destroot}${prefix}/share/examples \
-      ${destroot}${prefix}/share/doc/${pkgname}/examples
-
-    # Remove un-needed (in MacPorts) binaries
-    file delete ${destroot}${prefix}/sbin/mpeuninstall
-    file delete ${destroot}${prefix}/sbin/mpecheckinstall
-
-    # That's what man pages are for
-    delete ${destroot}${prefix}/share/doc/www4
-}
-
-# As MPICH creates compiler wrappers, there are lots of
-# variants for what compiler the user would like to wrap.
-
-variant gcc47 description {
-    Enable Fortran 77 and Fortran 90 bindings using gfortran from gcc47 port
-} conflicts gcc43 gcc44 gcc45 gcc46 llvm clang clang31 {
-    depends_lib-append      port:gcc47
-    configure.compiler      macports-gcc-4.7
-}
-
-variant gcc46 description {
-    Enable Fortran 77 and Fortran 90 bindings using gfortran from gcc46 port
-} conflicts gcc43 gcc44 gcc45 gcc47 llvm clang clang31 {
-    depends_lib-append      port:gcc46
-    configure.compiler      macports-gcc-4.6
-}
-
-variant gcc45 description {
-    Enable Fortran 77 and Fortran 90 bindings using gfortran from gcc45 port
-} conflicts gcc43 gcc44 gcc46 gcc47 llvm clang clang31 {
-    depends_lib-append      port:gcc45
-    configure.compiler      macports-gcc-4.5
-}
-
-variant gcc44 description {
-    Enable Fortran 77 and Fortran 90 bindings using gfortran from gcc44 port
-} conflicts gcc43 gcc45 gcc46 gcc47 llvm clang clang31 {
-    depends_lib-append      port:gcc44
-    configure.compiler      macports-gcc-4.4
-}
-
-variant gcc43 description {
-    Enable Fortran 77 and Fortran 90 bindings using gfortran from gcc43 port
-} conflicts gcc44 gcc45 gcc46 gcc47 llvm clang clang31 {
-    depends_lib-append      port:gcc43
-    configure.compiler      macports-gcc-4.3
-}
-
-if {[ variant_isset gcc43 ] ||
-    [ variant_isset gcc44 ] ||
-    [ variant_isset gcc45 ] ||
-    [ variant_isset gcc46 ] ||
-    [ variant_isset gcc47 ]} {
-    configure.args-append   --enable-f77 --enable-fc
-    configure.args-delete   --disable-f77 --disable-fc
-}
-
-variant llvm description {
-    Use Apple-supplied llvm-gcc
-} conflicts gcc43 gcc44 gcc45 gcc46 gcc47 clang clang31 {
-    configure.compiler      llvm-gcc-4.2
-}
-
-variant clang description {
-    Use Apple-supplied clang
-} conflicts gcc43 gcc44 gcc45 gcc46 gcc47 llvm clang31 {
-    configure.compiler      clang
-}
-
-variant clang31 description {
-    Use clang 3.1 from MacPorts
-} conflicts gcc43 gcc44 gcc45 gcc46 gcc47 llvm clang {
-    depends_lib-append      port:clang-3.1
-    configure.compiler      clang
-    configure.cc            ${prefix}/bin/clang-mp-3.1
-    configure.cxx           ${prefix}/bin/clang++-mp-3.1
-}
-
-variant gforker description {
-    Use gforker process manager instead of the default hydra
-} {
-    configure.args-append   --with-pm=gforker
-    configure.args-delete   --with-pm=hydra
-}
-
-variant tuned description {Build with more optimizations} {
-    configure.args-delete       --enable-fast=O2
-    configure.args-append       --enable-fast=all \
-                                MPICH2LIB_CFLAGS='-fomit-frame-pointer -O2'
-}
-
-if {${configure.compiler} == "clang"} {
-    configure.env-append    ac_cv_tls=none
-}
-
-livecheck.type      regex
-livecheck.regex     ${pkgname}-(\[0-9.pbrc\]+)${extract.suffix}
-livecheck.url       ${homepage}downloads/index.php?s=downloads
Index: science/nco/Portfile
===================================================================
--- science/nco/Portfile	(revision 102395)
+++ science/nco/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                        nco
 version                     4.2.3
-revision                    1
+revision                    2
 platforms                   darwin
 maintainers                 takeshi
 license                     GPL-3
@@ -54,7 +54,7 @@
                             --enable-dap-netcdf           \
                             --enable-netcdf4
 
-if {![variant_isset openmpi]&&![variant_isset mpich2]} {
+if {![variant_isset openmpi]&&![variant_isset mpich]} {
     post-configure {
         foreach d {nco nco++ nco_c++} {
             reinplace "s|= -I${prefix}/include|= |" ${worksrcpath}/src/${d}/Makefile
@@ -71,8 +71,8 @@
     }
 }
 
-variant mpich2 description {enable MPI with mpich2} {
-    depends_lib-append      port:mpich2
+variant mpich description {enable MPI with mpich} {
+    depends_lib-append      path:bin/mpicc:mpich
     configure.args-append   --enable-mpi
 }
 
@@ -84,3 +84,5 @@
 livecheck.type  regex
 livecheck.url   ${homepage}
 livecheck.regex  {Current NCO version is ([0-9]+\.[0-9]+\.[0-9]+)}
+
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
Index: science/netcdf/Portfile
===================================================================
--- science/netcdf/Portfile	(revision 102395)
+++ science/netcdf/Portfile	(working copy)
@@ -6,7 +6,7 @@
 name                        netcdf
 epoch                       2
 version                     4.2.1.1
-revision                    1
+revision                    2
 maintainers                 takeshi openmaintainer
 platforms                   darwin
 categories                  science
@@ -57,13 +57,13 @@
 
 default_variants +netcdf4 +dap
 
-variant openmpi conflicts mpich2 description {compile with openmpi} {
+variant openmpi conflicts mpich description {compile with openmpi} {
     depends_lib-append      port:openmpi
     configure.cc            openmpicc
 }
 
-variant mpich2 conflicts openmpi description {compile with mpich2} {
-    depends_lib-append      port:mpich2
+variant mpich conflicts openmpi description {compile with mpich} {
+    depends_lib-append      path:bin/mpicc:mpich
     configure.cc            mpicc
     configure.cc_archflags  ""
     configure.ld_archflags  ""
@@ -94,3 +94,5 @@
 livecheck.type      regex
 livecheck.url       http://www.unidata.ucar.edu/downloads/${name}/
 livecheck.regex     {The netCDF C library and utilities, version ([0-9]+\.[0-9]+\.[0-9]+[\.]*[0-9]*)}
+
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
Index: science/netcdf-cxx/Portfile
===================================================================
--- science/netcdf-cxx/Portfile	(revision 102395)
+++ science/netcdf-cxx/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                        netcdf-cxx
 version                     4.2
-revision                    1
+revision                    2
 distname                    ${name}-${version}
 maintainers                 takeshi openmaintainer
 platforms                   darwin
@@ -50,14 +50,16 @@
 
 destroot.destdir            prefix=${destroot}${prefix}
 
-variant openmpi conflicts mpich2 description {compile with openmpi} {
+variant openmpi conflicts mpich description {compile with openmpi} {
     depends_lib-append      port:openmpi
     configure.cc            openmpicc
     configure.cxx           openmpicxx
 }
 
-variant mpich2 conflicts openmpi description {compile with mpich2} {
-    depends_lib-append      port:mpich2
+variant mpich conflicts openmpi description {compile with mpich} {
+    depends_lib-append      path:bin/mpicc:mpich
     configure.cc            mpicc
     configure.cxx           mpicxx
 }
+
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
Index: science/netcdf-cxx4/Portfile
===================================================================
--- science/netcdf-cxx4/Portfile	(revision 102395)
+++ science/netcdf-cxx4/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                        netcdf-cxx4
 version                     4.2
+revision                    1
 distname                    ${name}-${version}
 maintainers                 takeshi openmaintainer
 platforms                   darwin
@@ -47,14 +48,16 @@
 
 destroot.destdir            prefix=${destroot}${prefix}
 
-variant openmpi conflicts mpich2 description {compile with openmpi} {
+variant openmpi conflicts mpich description {compile with openmpi} {
     depends_lib-append      port:openmpi
     configure.cc            openmpicc
     configure.cxx           openmpicxx
 }
 
-variant mpich2 conflicts openmpi description {compile with mpich2} {
-    depends_lib-append      port:mpich2
+variant mpich conflicts openmpi description {compile with mpich} {
+    depends_lib-append      path:bin/mpicc:mpich
     configure.cc            mpicc
     configure.cxx           mpicxx
 }
+
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
Index: science/netcdf-fortran/Portfile
===================================================================
--- science/netcdf-fortran/Portfile	(revision 102395)
+++ science/netcdf-fortran/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 name                        netcdf-fortran
 version                     4.2
-revision                    5
+revision                    6
 maintainers                 takeshi openmaintainer
 platforms                   darwin
 categories                  science
@@ -127,14 +127,16 @@
     configure.f77           ${configure.fc}
 }
 
-variant openmpi conflicts mpich2 description {compile with openmpi} {
+variant openmpi conflicts mpich description {compile with openmpi} {
     depends_lib-append      port:openmpi
     configure.fc            openmpif77
     configure.cc            openmpicc
 }
 
-variant mpich2 conflicts openmpi description {compile with mpich2} {
-    depends_lib-append      port:mpich2
+variant mpich conflicts openmpi description {compile with mpich} {
+    depends_lib-append      path:bin/mpicc:mpich
     configure.fc            mpif90
     configure.cc            mpicc
 }
+
+variant mpich2 requires mpich description {Variant renamed as +mpich} {}
Index: science/ocaml-mpi/Portfile
===================================================================
--- science/ocaml-mpi/Portfile	(revision 102395)
+++ science/ocaml-mpi/Portfile	(working copy)
@@ -4,7 +4,7 @@
 
 name                ocaml-mpi
 version             1.01
-revision            2
+revision            3
 categories          science devel ml
 maintainers         mww
 license             LGPL-2
@@ -21,7 +21,7 @@
                     sha1    4f836f02f7e8852ba72d4293aea43cf7a3438b0f \
                     rmd160  c0a08090073c54e130cd2712c7d1cfbeb8d17793
 
-depends_lib         port:ocaml port:ocaml-findlib port:mpich2
+depends_lib         port:ocaml port:ocaml-findlib path:bin/mpicc:mpich
 
 patchfiles          Makefile.diff
 