Index: devel/valgrind/Portfile
===================================================================
--- devel/valgrind/Portfile	(revision 102036)
+++ devel/valgrind/Portfile	(working copy)
@@ -5,6 +5,7 @@
 name            valgrind
 conflicts       valgrind-devel
 version         3.8.1
+revision        1
 categories      devel
 platforms       darwin
 supported_archs i386 x86_64
@@ -70,7 +71,7 @@
 }
 
 variant mpich2 description {Use mpich2 for MPI support} conflicts universal {
-    depends_lib-append port:mpich2
+    depends_lib-append path:bin/mpicc:mpich
     configure.args-delete --without-mpicc
     configure.args-append --with-mpicc=${prefix}/bin/mpicc
 }
Index: devel/valgrind-devel/Portfile
===================================================================
--- devel/valgrind-devel/Portfile	(revision 102036)
+++ devel/valgrind-devel/Portfile	(working copy)
@@ -7,6 +7,7 @@
 svn.revision    13189
 set vex_revision 2601
 version         3.9.0-r${svn.revision}
+revision        1
 categories      devel
 platforms       darwin
 supported_archs i386 x86_64
@@ -63,7 +64,7 @@
 }
 
 variant mpich2 description {Use mpich2 for MPI support} conflicts universal {
-    depends_lib-append port:mpich2
+    depends_lib-append path:bin/mpicc:mpich
     configure.args-delete --without-mpicc
     configure.args-append --with-mpicc=${prefix}/bin/mpicc
 }
Index: graphics/vtk-devel/Portfile
===================================================================
--- graphics/vtk-devel/Portfile	(revision 102036)
+++ graphics/vtk-devel/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name            vtk-devel
 version         5.4.2
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 
 categories      graphics math science devel
@@ -760,7 +760,7 @@
 variant mpi description "use message passing interface (mpich2) for parallel support" {
     set nCPU [expr [exec sysctl -n hw.logicalcpu_max]]
     depends_lib-append \
-        port:mpich2
+        path:bin/mpicc:mpich
     configure.args-append \
         -DVTK_USE_MPI:BOOL=ON \
         -DMPI_COMPILER:FILEPATH=${prefix}/bin/mpicxx \
Index: math/arpack/Portfile
===================================================================
--- math/arpack/Portfile	(revision 102036)
+++ math/arpack/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name          arpack
 version       3.1.2
+revision      1
 categories    math
 license       BSD
 platforms     darwin
@@ -52,7 +53,7 @@
 }
 
 variant mpich2 description {build with MPICH2} conflicts openmpi {
-    depends_lib-append port:mpich2
+    depends_lib-append path:bin/mpicc:mpich
     configure.env-append MPIF77=${prefix}/bin/mpif77
 }
 
Index: math/fftw/Portfile
===================================================================
--- math/fftw/Portfile	(revision 102036)
+++ math/fftw/Portfile	(working copy)
@@ -4,7 +4,7 @@
 
 name		fftw
 version		2.1.5
-revision	4
+revision	5
 categories	math devel
 license		GPL-2+
 maintainers	nomaintainer
@@ -71,6 +71,6 @@
 }
 
 variant mpi description {Include FFTW MPI library} {
-    depends_lib-append port:mpich2
+    depends_lib-append path:bin/mpicc:mpich
     configure.args-append --enable-mpi
 }
Index: math/fftw-3/Portfile
===================================================================
--- math/fftw-3/Portfile	(revision 102036)
+++ math/fftw-3/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name            fftw-3
 version         3.3.3
+revision        1
 categories      math
 license         GPL-2+
 platforms       darwin
@@ -258,7 +259,7 @@
 }
 
 variant mpich2 description {compile FFTW MPI library with MPICH2} conflicts openmpi {
-    depends_lib-append      path:bin/mpicc:mpich2
+    depends_lib-append      path:bin/mpicc:mpich
     configure.env           MPICC=${prefix}/bin/mpicc
     configure.args-append   --enable-mpi
 }
Index: math/fftw-single/Portfile
===================================================================
--- math/fftw-single/Portfile	(revision 102036)
+++ math/fftw-single/Portfile	(working copy)
@@ -4,7 +4,7 @@
 
 name		fftw-single
 version		2.1.5
-revision	3
+revision	4
 categories	math devel
 license		GPL-2+
 maintainers	nomaintainer
@@ -74,7 +74,7 @@
 }
 
 variant mpi description {Include FFTW MPI library} {
-    depends_lib-append port:mpich2
+    depends_lib-append path:bin/mpicc:mpich
     configure.args-append --enable-mpi
 }
 
Index: math/petsc/Portfile
===================================================================
--- math/petsc/Portfile	(revision 102036)
+++ math/petsc/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 name		petsc
 version     3.3-p5
-revision    1
+revision    2
 categories  math science
 maintainers	mmoll
 description	Portable, Extensible Toolkit for Scientific Computation
@@ -74,7 +74,7 @@
 }
 
 variant mpich2 description {Build using the MPICH2 compiler} conflicts openmpi {
-    depends_lib-append port:mpich2
+    depends_lib-append path:bin/mpicc:mpich
     configure.args-append \
         --with-cc=${prefix}/bin/mpicc \
         --with-cxx=${prefix}/bin/picxx \
Index: math/plda/Portfile
===================================================================
--- math/plda/Portfile	(revision 102036)
+++ math/plda/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                plda
 version             3.1
-revision            1
+revision            2
 categories          math textproc
 maintainers         hum openmaintainer
 
@@ -33,7 +33,7 @@
                     CFLAGS="${configure.cxxflags} [get_canonical_archflags cxx]"
 
 variant mpi description {Add parallel lda} {
-    depends_lib         port:mpich2
+    depends_lib         path:bin/mpicc:mpich
     build.target        lda infer mpi_lda
     post-destroot {
         xinstall -m 755 ${worksrcpath}/mpi_lda ${destroot}${prefix}/bin/mpi_plda
Index: python/py-mpi4py/Portfile
===================================================================
--- python/py-mpi4py/Portfile	(revision 102036)
+++ python/py-mpi4py/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 name            py-mpi4py
 version         1.3
-revision        2
+revision        3
 license         BSD
 description     MPI for Python - Python bindings for MPI
 long_description \
@@ -45,7 +45,7 @@
         variant mpich2 description {builds with the mpich2 port} {
             build.args-delete   "--mpicc=${prefix}/bin/openmpicc"
             depends_lib-delete  port:openmpi
-            depends_lib-append  port:mpich2
+            depends_lib-append  path:bin/mpicc:mpich
         }
 
     }
Index: science/hdf5/Portfile
===================================================================
--- science/hdf5/Portfile	(revision 102036)
+++ science/hdf5/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                hdf5
 version             1.6.9
-revision            3
+revision            4
 categories          science
 license             NCSA
 maintainers         nomaintainer
@@ -109,7 +109,7 @@
 }
 
 variant mpich2 description {Parallel HDF5 with mpich2 (disables C++)} {
-    depends_lib-append          port:mpich2
+    depends_lib-append          path:bin/mpicc:mpich
     configure.args-delete       --enable-cxx
     configure.cc                ${prefix}/bin/mpicc
     if { [variant_isset fortran] } {
Index: science/hdf5-18/Portfile
===================================================================
--- science/hdf5-18/Portfile	(revision 102036)
+++ science/hdf5-18/Portfile	(working copy)
@@ -8,6 +8,7 @@
 set realname        hdf5
 name                ${realname}-18
 version             1.8.10
+revision            1
 categories          science
 maintainers         mmoll openmaintainer
 
@@ -161,7 +162,7 @@
     Enable Parallel HDF5 with mpich2. Uses compiler selected with mpich2.
   +mpich2 is EXPERIMENTAL with +cxx or +threadsafe.
 } conflicts universal openmpi gcc44 gcc45 gcc46 gcc47 {
-    depends_lib-append          path:bin/mpicc:mpich2
+    depends_lib-append          path:bin/mpicc:mpich
     configure.cc                ${prefix}/bin/mpicc
     configure.cxx               ${prefix}/bin/mpicxx
     configure.fc                ${prefix}/bin/mpif90
Index: science/mpich2/Portfile
===================================================================
--- science/mpich2/Portfile	(revision 102036)
+++ science/mpich2/Portfile	(working copy)
@@ -4,171 +4,14 @@
 PortSystem          1.0
 
 name                mpich2
-set pkgname         mpich2
 version             1.5
-revision            6
+revision            7
 epoch               20121008 
-
+categories          science parallel net
+homepage            http://www.mpich.org
 license             BSD
-categories          science parallel net
-platforms           darwin
-maintainers         eborisch \
-                    openmaintainer
 
-description         Message Passing Interface (MPI) Library
+replaced_by         mpich
 
-long_description    MPICH2 is an implementation of the Message-Passing \
-                    Interface (MPI). The goals of MPICH2 are to provide an \
-                    MPI implementation for important platforms, including \
-                    clusters, SMPs, and massively parallel processors. It \
-                    also provides a vehicle for MPI implementation research \
-                    and for developing new and better parallel programming \
-                    environments.
+PortGroup           obsolete 1.0
 
-homepage            http://www.mpich.org/
-master_sites        ${homepage}static/tarballs/${version}/
-distname            ${pkgname}-${version}
-
-checksums   \
-    rmd160  69572f5c435aec1ef37af197f7509cfc073ce53a \
-    sha256  7175926fc2e4230f00201e880318c08de4f949c0dbe167fe1b2e256ac79d5f66
-
-subport mpich2-devel {
-# Currently mpich2-devel == mpich2 
-    conflicts           mpich2
-}
-
-universal_variant   no
-
-depends_lib-append  port:libxml2
-conflicts-append    lammpi \
-                    openmpi
- 
-configure.args      --disable-dependency-tracking \
-                    --disable-f77 \
-                    --disable-fc \
-                    --disable-silent-rules \
-                    --enable-base-cache \
-                    --enable-cache \
-                    --enable-cxx \
-                    --enable-fast=O2 \
-                    --enable-shared \
-                    --enable-smpcoll \
-                    --with-device=ch3:nemesis \
-                    --with-mpe \
-                    --with-pm=hydra \
-                    --with-thread-package=posix \
-                    "F90FLAGS='' F90=''"
-
-platform darwin {
-    configure.args-append   --enable-timer-type=mach_absolute_time
-}
-
-# We're making compiler wrappers here... don't default to -O2 for wrappers.
-# Actual library code is compiled with -O2 via --enable-fast=O2 configure arg
-configure.cflags-delete     -O2
-configure.cxxflags-delete   -O2
-configure.fflags-delete     -O2
-configure.fcflags-delete    -O2
-
-post-destroot {
-    # Move examples directories to preferred location
-    move ${destroot}${prefix}/share/examples \
-      ${destroot}${prefix}/share/doc/${pkgname}/examples
-
-    # Remove un-needed (in MacPorts) binaries
-    file delete ${destroot}${prefix}/sbin/mpeuninstall
-    file delete ${destroot}${prefix}/sbin/mpecheckinstall
-
-    # That's what man pages are for
-    delete ${destroot}${prefix}/share/doc/www4
-}
-
-# As MPICH creates compiler wrappers, there are lots of
-# variants for what compiler the user would like to wrap.
-
-variant gcc47 description {
-    Enable Fortran 77 and Fortran 90 bindings using gfortran from gcc47 port
-} conflicts gcc43 gcc44 gcc45 gcc46 llvm clang clang31 {
-    depends_lib-append      port:gcc47
-    configure.compiler      macports-gcc-4.7
-}
-
-variant gcc46 description {
-    Enable Fortran 77 and Fortran 90 bindings using gfortran from gcc46 port
-} conflicts gcc43 gcc44 gcc45 gcc47 llvm clang clang31 {
-    depends_lib-append      port:gcc46
-    configure.compiler      macports-gcc-4.6
-}
-
-variant gcc45 description {
-    Enable Fortran 77 and Fortran 90 bindings using gfortran from gcc45 port
-} conflicts gcc43 gcc44 gcc46 gcc47 llvm clang clang31 {
-    depends_lib-append      port:gcc45
-    configure.compiler      macports-gcc-4.5
-}
-
-variant gcc44 description {
-    Enable Fortran 77 and Fortran 90 bindings using gfortran from gcc44 port
-} conflicts gcc43 gcc45 gcc46 gcc47 llvm clang clang31 {
-    depends_lib-append      port:gcc44
-    configure.compiler      macports-gcc-4.4
-}
-
-variant gcc43 description {
-    Enable Fortran 77 and Fortran 90 bindings using gfortran from gcc43 port
-} conflicts gcc44 gcc45 gcc46 gcc47 llvm clang clang31 {
-    depends_lib-append      port:gcc43
-    configure.compiler      macports-gcc-4.3
-}
-
-if {[ variant_isset gcc43 ] ||
-    [ variant_isset gcc44 ] ||
-    [ variant_isset gcc45 ] ||
-    [ variant_isset gcc46 ] ||
-    [ variant_isset gcc47 ]} {
-    configure.args-append   --enable-f77 --enable-fc
-    configure.args-delete   --disable-f77 --disable-fc
-}
-
-variant llvm description {
-    Use Apple-supplied llvm-gcc
-} conflicts gcc43 gcc44 gcc45 gcc46 gcc47 clang clang31 {
-    configure.compiler      llvm-gcc-4.2
-}
-
-variant clang description {
-    Use Apple-supplied clang
-} conflicts gcc43 gcc44 gcc45 gcc46 gcc47 llvm clang31 {
-    configure.compiler      clang
-}
-
-variant clang31 description {
-    Use clang 3.1 from MacPorts
-} conflicts gcc43 gcc44 gcc45 gcc46 gcc47 llvm clang {
-    depends_lib-append      port:clang-3.1
-    configure.compiler      clang
-    configure.cc            ${prefix}/bin/clang-mp-3.1
-    configure.cxx           ${prefix}/bin/clang++-mp-3.1
-}
-
-variant gforker description {
-    Use gforker process manager instead of the default hydra
-} {
-    configure.args-append   --with-pm=gforker
-    configure.args-delete   --with-pm=hydra
-}
-
-variant tuned description {Build with more optimizations} {
-    configure.args-delete       --enable-fast=O2
-    configure.args-append       --enable-fast=all \
-                                MPICH2LIB_CFLAGS='-fomit-frame-pointer -O2'
-}
-
-if {${configure.compiler} == "clang"} {
-    configure.env-append    ac_cv_tls=none
-}
-
-livecheck.type      regex
-livecheck.regex     ${pkgname}-(\[0-9.pbrc\]+)${extract.suffix}
-livecheck.url       ${homepage}downloads/index.php?s=downloads
Index: science/nco/Portfile
===================================================================
--- science/nco/Portfile	(revision 102036)
+++ science/nco/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                        nco
 version                     4.2.3
-revision                    1
+revision                    2
 platforms                   darwin
 maintainers                 takeshi
 license                     GPL-3
@@ -72,7 +72,7 @@
 }
 
 variant mpich2 description {enable MPI with mpich2} {
-    depends_lib-append      port:mpich2
+    depends_lib-append      path:bin/mpicc:mpich
     configure.args-append   --enable-mpi
 }
 
Index: science/netcdf/Portfile
===================================================================
--- science/netcdf/Portfile	(revision 102036)
+++ science/netcdf/Portfile	(working copy)
@@ -6,7 +6,7 @@
 name                        netcdf
 epoch                       2
 version                     4.2.1.1
-revision                    1
+revision                    2
 maintainers                 takeshi openmaintainer
 platforms                   darwin
 categories                  science
@@ -63,7 +63,7 @@
 }
 
 variant mpich2 conflicts openmpi description {compile with mpich2} {
-    depends_lib-append      port:mpich2
+    depends_lib-append      path:bin/mpicc:mpich
     configure.cc            mpicc
     configure.cc_archflags  ""
     configure.ld_archflags  ""
Index: science/netcdf-cxx/Portfile
===================================================================
--- science/netcdf-cxx/Portfile	(revision 102036)
+++ science/netcdf-cxx/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                        netcdf-cxx
 version                     4.2
-revision                    1
+revision                    2
 distname                    ${name}-${version}
 maintainers                 takeshi openmaintainer
 platforms                   darwin
@@ -57,7 +57,7 @@
 }
 
 variant mpich2 conflicts openmpi description {compile with mpich2} {
-    depends_lib-append      port:mpich2
+    depends_lib-append      path:bin/mpicc:mpich
     configure.cc            mpicc
     configure.cxx           mpicxx
 }
Index: science/netcdf-cxx4/Portfile
===================================================================
--- science/netcdf-cxx4/Portfile	(revision 102036)
+++ science/netcdf-cxx4/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                        netcdf-cxx4
 version                     4.2
+revision                    1
 distname                    ${name}-${version}
 maintainers                 takeshi openmaintainer
 platforms                   darwin
@@ -54,7 +55,7 @@
 }
 
 variant mpich2 conflicts openmpi description {compile with mpich2} {
-    depends_lib-append      port:mpich2
+    depends_lib-append      path:bin/mpicc:mpich
     configure.cc            mpicc
     configure.cxx           mpicxx
 }
Index: science/netcdf-fortran/Portfile
===================================================================
--- science/netcdf-fortran/Portfile	(revision 102036)
+++ science/netcdf-fortran/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 name                        netcdf-fortran
 version                     4.2
-revision                    5
+revision                    6
 maintainers                 takeshi openmaintainer
 platforms                   darwin
 categories                  science
@@ -134,7 +134,7 @@
 }
 
 variant mpich2 conflicts openmpi description {compile with mpich2} {
-    depends_lib-append      port:mpich2
+    depends_lib-append      path:bin/mpicc:mpich
     configure.fc            mpif90
     configure.cc            mpicc
 }
Index: science/ocaml-mpi/Portfile
===================================================================
--- science/ocaml-mpi/Portfile	(revision 102036)
+++ science/ocaml-mpi/Portfile	(working copy)
@@ -4,7 +4,7 @@
 
 name                ocaml-mpi
 version             1.01
-revision            2
+revision            3
 categories          science devel ml
 maintainers         mww
 license             LGPL-2
@@ -21,7 +21,7 @@
                     sha1    4f836f02f7e8852ba72d4293aea43cf7a3438b0f \
                     rmd160  c0a08090073c54e130cd2712c7d1cfbeb8d17793
 
-depends_lib         port:ocaml port:ocaml-findlib port:mpich2
+depends_lib         port:ocaml port:ocaml-findlib path:bin/mpicc:mpich
 
 patchfiles          Makefile.diff
 