--- Portfile.orig	2013-02-05 11:18:19.000000000 -0500
+++ Portfile	2013-02-05 11:24:04.000000000 -0500
@@ -1,13 +1,13 @@
 # -*- mode: tcl; coding: utf-8; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- # vim:fenc=utf-8:filetype=tcl:et:sw=4:ts=4:sts=4
-# $Id: Portfile 100179 2012-12-02 14:14:38Z easieste@macports.org $
+# $Id:$
 
 PortSystem 1.0
 
 name		sbcl
 
-version		      1.1.2
-revision          0
-set subrevision	  ""
+version		1.1.4
+revision	0
+set subrevision	""
 
 categories	lang
 license		BSD
@@ -24,61 +24,52 @@
 of its binary runtime fasl representation..
 
 
-homepage	    http://www.sbcl.org
+homepage	http://www.sbcl.org
 master_sites	sourceforge
-use_bzip2	    yes
+use_bzip2	yes
 
-patchfiles	\
-                patch-use-mach-exception-handler.diff  \
-                patch-posix-tests.diff \
-                patch-use-right-gcc.diff
+patchfiles	patch-use-right-gcc.diff
 
 distfiles	${name}-${version}-source${subrevision}${extract.suffix}
 
 distname	${name}-${version}-source${subrevision}
 worksrcdir	${name}-${version}
 
+checksums	sbcl-1.1.4-source.tar.bz2 \
+		rmd160  525ea2ed2a0547fe8bba499cdb0cc9ef7d04dc6f \
+		sha256  468bd52f8a15584ffdca2356f6c85b7053a72a321c309dfff37e340d0d4af7cc \
+		sbcl-1.0.55-x86-darwin-binary.tar.bz2 \
+		md5     941351112392a77dd62bdcb9fb62e4e4 \
+		sha1    8ea71938c40a6dccfe2d43a86e9b115f4428a218 \
+		rmd160  97c92e16426fb4e7eb9e649e21714c342703d17b \
+		sbcl-1.0.47-ppc-darwin-binary.tar.bz2 \
+		md5     02747afc7631a7ccdeede4b52b78072d \
+		sha1    93df00b3120810a086d37666c1ccdeabc8daeb49 \
+		rmd160  85c76296a1c62db5affdff7e72e61e558bb5c819
 
-checksums           sbcl-1.1.2-source.tar.bz2 \
-                    rmd160  3a785eb0040d4ba12d519a796e9f296a3ee6ee2d \
-                    sha256  0c7a04d4ccf149324ff5919f230e1473757c223cda47623a97d749e018327713 \
-                    sbcl-1.0.48-x86-darwin-binary.tar.bz2 \
-                    md5     5a3fe53829c6c9f589f17db31210e2ce \
-                    sha1    c4c6aa31e58767364c36ca509e06cf92c7b2e293 \
-                    rmd160  9f7e7a7c3d4ed35540c6c81962052fc13ee2cd9b 
 
 platform powerpc {
     set bootversion 1.0.47
     distfiles-append ${name}-${bootversion}-powerpc-darwin-binary${extract.suffix}
-    checksums-append ${name}-${bootversion}-powerpc-darwin-binary${extract.suffix} \
-        md5     02747afc7631a7ccdeede4b52b78072d \
-        sha1    93df00b3120810a086d37666c1ccdeabc8daeb49 \
-        rmd160  85c76296a1c62db5affdff7e72e61e558bb5c819
-
     global host_lisp
     set host_lisp	"\"${workpath}/${name}-${bootversion}-powerpc-darwin/src/runtime/sbcl --core ${workpath}/${name}-${bootversion}-powerpc-darwin/output/sbcl.core --disable-debugger --sysinit /dev/null --userinit /dev/null\" "
 }
 
-platform i386     {
-    set bootversion 1.0.48
+platform i386 {
+    set bootversion 1.0.55
     distfiles-append ${name}-${bootversion}-x86-darwin-binary${extract.suffix}
-    checksums-append ${name}-${bootversion}-x86-darwin-binary${extract.suffix} \
-        md5     5a3fe53829c6c9f589f17db31210e2ce \
-        sha1    c4c6aa31e58767364c36ca509e06cf92c7b2e293 \
-        rmd160  9f7e7a7c3d4ed35540c6c81962052fc13ee2cd9b
-
     global host_lisp
     set host_lisp	"\"${workpath}/${name}-${bootversion}-x86-darwin/src/runtime/sbcl --core ${workpath}/${name}-${bootversion}-x86-darwin/output/sbcl.core --disable-debugger --sysinit /dev/null --userinit /dev/null\" "
 }
 
-post-patch	{
+post-patch {
     reinplace "s|/usr/local/lib/${name}|${prefix}/lib/${name}|g" \
         ${worksrcpath}/doc/sbcl.1
 }
 
 use_configure	no
 
-build		{
+build {
     reinplace s|CC=gcc|CC=${configure.cc}| ${worksrcpath}/contrib/asdf-module.mk
     system "ulimit -s 8192 && unset LD_PREBIND && unset LD_PREBIND_ALLOW_OVERLAP && cd ${worksrcpath} && export CC && CC=${configure.cc} && export CXX && CXX=${configure.cxx} && export CPP && CPP==${configure.cpp} && sh ./make.sh ${make_sh_options} --prefix=${prefix} --xc-host=${host_lisp}"
 }
@@ -89,6 +80,7 @@
     }
 }
 
+
 variant html conflicts pdf description {Installs documentation in HTML and Info formats.} {
     patchfiles-append patch-make-doc.diff
     depends_build-append bin:texi2dvi:texinfo
@@ -97,24 +89,21 @@
 
 variant pdf conflicts html description {Installs documentation in PDF, HTML and Info formats.
 Involves the installation of a TexLive dependency chain, which can dramatically slow down the installation of the SBCL port.} {
-    patchfiles-delete patch-make-doc.diff
     depends_build-append bin:dvips:texlive
     depends_build-append bin:texi2dvi:texinfo
     depends_build-append bin:makeinfo:texinfo
 } 
 
-variant threads description {Enable multi-threaded runtime using the Mach pthreads interface.} {
-    patchfiles-append patch-base-target-features.diff
-}
-
 global make_sh_options
 set make_sh_options ""
 
-variant fancy conflicts threads description {Configure SBCL compilation with all available compatible options (including threading).} {
-    patchfiles-delete                 patch-use-mach-exception-handler.diff
-    set                               make_sh_options --fancy
+variant threads description {Enable multi-threaded runtime using the Mach pthreads interface.} {
+    set make_sh_options --with-sb-thread
 }
 
+variant fancy conflicts threads description {Configure SBCL compilation with all available compatible options (including threading).} {
+    set make_sh_options --fancy
+}
 
 
 test.run	yes