--- MPActionLauncher.m.orig	2013-02-08 11:31:17.000000000 +1100
+++ MPActionLauncher.m	2013-02-08 14:11:55.000000000 +1100
@@ -159,52 +159,52 @@
 {
 	//The notification needs a title. We initialize an array containing the titles for each type of notification
 	NSString *growlTitles[GROWL_TYPES];
-	growlTitles[GROWL_INSTALL] = [NSString stringWithString: @"Installation Completed"];
-	growlTitles[GROWL_UNINSTALL] = [NSString stringWithString: @"Uninstall Completed"];
-	growlTitles[GROWL_UPGRADE] = [NSString stringWithString: @"Upgrade Completed"];
-	growlTitles[GROWL_SYNC] = [NSString stringWithString: @"Sync Completed"];
-	growlTitles[GROWL_SELFUPDATE] = [NSString stringWithString: @"Selfupdate Completed"];
-	growlTitles[GROWL_INSTALLFAILED] = [NSString stringWithString: @"Installation Failed"];
-	growlTitles[GROWL_UNINSTALLFAILED] = [NSString stringWithString: @"Uninstall Failed"];
-	growlTitles[GROWL_UPGRADEFAILED] = [NSString stringWithString: @"Upgrade Failed"];
-	growlTitles[GROWL_SYNCFAILED] = [NSString stringWithString: @"Sync Failed"];
-	growlTitles[GROWL_SELFUPDATEFAILED] = [NSString stringWithString: @"Selfupdate Failed"];
+	growlTitles[GROWL_INSTALL] = @"Installation Completed";
+	growlTitles[GROWL_UNINSTALL] = @"Uninstall Completed";
+	growlTitles[GROWL_UPGRADE] = @"Upgrade Completed";
+	growlTitles[GROWL_SYNC] = @"Sync Completed";
+	growlTitles[GROWL_SELFUPDATE] = @"Selfupdate Completed";
+	growlTitles[GROWL_INSTALLFAILED] = @"Installation Failed";
+	growlTitles[GROWL_UNINSTALLFAILED] = @"Uninstall Failed";
+	growlTitles[GROWL_UPGRADEFAILED] = @"Upgrade Failed";
+	growlTitles[GROWL_SYNCFAILED] = @"Sync Failed";
+	growlTitles[GROWL_SELFUPDATEFAILED] = @"Selfupdate Failed";
 
-	growlTitles[GROWL_ALLOPS] = [NSString stringWithString: @"Operations Completed"];
-	growlTitles[GROWL_ALLOPSFAILED] = [NSString stringWithString: @"Operations Failed"];
+	growlTitles[GROWL_ALLOPS] = @"Operations Completed";
+	growlTitles[GROWL_ALLOPSFAILED] = @"Operations Failed";
 
 	//The notification also needs a description. We initialize an array containing the descriptions for each type of notification
 	NSString *growlDescriptions[GROWL_TYPES];	
-	growlDescriptions[GROWL_INSTALL] = [NSString stringWithString: @"Operation completed successfully"];
-	growlDescriptions[GROWL_UNINSTALL] = [NSString stringWithString: @"Operation completed successfully"];
-	growlDescriptions[GROWL_UPGRADE] = [NSString stringWithString: @"Operation completed successfully"];
-	growlDescriptions[GROWL_SYNC] = [NSString stringWithString: @"Operation completed successfully"];
-	growlDescriptions[GROWL_SELFUPDATE] = [NSString stringWithString: @"Operation completed successfully"];
-	growlDescriptions[GROWL_INSTALLFAILED] = [NSString stringWithString: @"Operation Failed"];
-	growlDescriptions[GROWL_UNINSTALLFAILED] = [NSString stringWithString: @"Operation Failed"];
-	growlDescriptions[GROWL_UPGRADEFAILED] = [NSString stringWithString: @"Operation Failed"];
-	growlDescriptions[GROWL_SYNCFAILED] = [NSString stringWithString: @"Operation Failed"];
-	growlDescriptions[GROWL_SELFUPDATEFAILED] = [NSString stringWithString: @"Operation Failed"];
+	growlDescriptions[GROWL_INSTALL] = @"Operation completed successfully";
+	growlDescriptions[GROWL_UNINSTALL] = @"Operation completed successfully";
+	growlDescriptions[GROWL_UPGRADE] = @"Operation completed successfully";
+	growlDescriptions[GROWL_SYNC] = @"Operation completed successfully";
+	growlDescriptions[GROWL_SELFUPDATE] = @"Operation completed successfully";
+	growlDescriptions[GROWL_INSTALLFAILED] = @"Operation Failed";
+	growlDescriptions[GROWL_UNINSTALLFAILED] = @"Operation Failed";
+	growlDescriptions[GROWL_UPGRADEFAILED] = @"Operation Failed";
+	growlDescriptions[GROWL_SYNCFAILED] = @"Operation Failed";
+	growlDescriptions[GROWL_SELFUPDATEFAILED] = @"Operation Failed";
 
-	growlDescriptions[GROWL_ALLOPS] = [NSString stringWithString: @"All Operations Completed Succesfully"];
-	growlDescriptions[GROWL_ALLOPSFAILED] = [NSString stringWithString: @"Operations Failed"];
+	growlDescriptions[GROWL_ALLOPS] = @"All Operations Completed Succesfully";
+	growlDescriptions[GROWL_ALLOPSFAILED] = @"Operations Failed";
 
 	//And the notification also needs a name, which Growl uses to identify it. We initialize an array containing
 	//these names here
 	NSString *growlNotificationNames[GROWL_TYPES];
-	growlNotificationNames[GROWL_INSTALL] = [NSString stringWithString: @"InstallCompleted"];
-	growlNotificationNames[GROWL_UNINSTALL] = [NSString stringWithString: @"UninstallCompleted"];
-	growlNotificationNames[GROWL_UPGRADE] = [NSString stringWithString: @"UpgradeCompleted"];
-	growlNotificationNames[GROWL_SYNC] = [NSString stringWithString: @"SyncCompleted"];
-	growlNotificationNames[GROWL_SELFUPDATE] = [NSString stringWithString: @"SelfupdateCompleted"];
-	growlNotificationNames[GROWL_INSTALLFAILED] = [NSString stringWithString: @"InstallFailed"];
-	growlNotificationNames[GROWL_UNINSTALLFAILED] = [NSString stringWithString: @"UninstallFailed"];
-	growlNotificationNames[GROWL_UPGRADEFAILED] = [NSString stringWithString: @"UpgradeFailed"];
-	growlNotificationNames[GROWL_SYNCFAILED] = [NSString stringWithString: @"SyncFailed"];
-	growlNotificationNames[GROWL_SELFUPDATEFAILED] = [NSString stringWithString: @"SelfupdateFailed"];
+	growlNotificationNames[GROWL_INSTALL] = @"InstallCompleted";
+	growlNotificationNames[GROWL_UNINSTALL] = @"UninstallCompleted";
+	growlNotificationNames[GROWL_UPGRADE] = @"UpgradeCompleted";
+	growlNotificationNames[GROWL_SYNC] = @"SyncCompleted";
+	growlNotificationNames[GROWL_SELFUPDATE] = @"SelfupdateCompleted";
+	growlNotificationNames[GROWL_INSTALLFAILED] = @"InstallFailed";
+	growlNotificationNames[GROWL_UNINSTALLFAILED] = @"UninstallFailed";
+	growlNotificationNames[GROWL_UPGRADEFAILED] = @"UpgradeFailed";
+	growlNotificationNames[GROWL_SYNCFAILED] = @"SyncFailed";
+	growlNotificationNames[GROWL_SELFUPDATEFAILED] = @"SelfupdateFailed";
 	
-	growlNotificationNames[GROWL_ALLOPS] = [NSString stringWithString: @"OperationsCompleted"];
-	growlNotificationNames[GROWL_ALLOPSFAILED] = [NSString stringWithString: @"OperationsFailed"];
+	growlNotificationNames[GROWL_ALLOPS] = @"OperationsCompleted";
+	growlNotificationNames[GROWL_ALLOPSFAILED] = @"OperationsFailed";
 	
 	
 	/*#################	These initializations should be moved to [init], and only call the following functions 	#################*/