diff -ur alpine-2.11/alpine/adrbkcmd.c patched/alpine/adrbkcmd.c
--- alpine-2.11/alpine/adrbkcmd.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/alpine/adrbkcmd.c	2015-01-08 01:35:23.000000000 -0800
@@ -530,7 +530,7 @@
 	break;
 
       default:
-	panic("Unexpected command in process_abook_view_cmd");
+	uw_panic("Unexpected command in process_abook_view_cmd");
 	break;
     }
 
@@ -2639,7 +2639,7 @@
     }
 
     if(!ps->prc)
-      panic("NULL prc in convert_to_remote_config");
+      uw_panic("NULL prc in convert_to_remote_config");
 
     dprint((2, "convert_to_remote_config\n"));
     
@@ -5019,7 +5019,7 @@
 	    break;
 	  
 	  default:
-	    panic("can't happen in write_single_vcard_entry");
+	    uw_panic("can't happen in write_single_vcard_entry");
 	}
 
 	for(; ll && *ll; ll++){
@@ -5152,7 +5152,7 @@
 	    break;
 
 	  default:
-	    panic("can't happen in write_single_tab_entry");
+	    uw_panic("can't happen in write_single_tab_entry");
 	}
 
 	if(i)
@@ -7374,7 +7374,7 @@
 	break;
 
       default:
-	panic("Unexpected command in process_ldap_cmd");
+	uw_panic("Unexpected command in process_ldap_cmd");
 	break;
     }
 
diff -ur alpine-2.11/alpine/alpine.c patched/alpine/alpine.c
--- alpine-2.11/alpine/alpine.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/alpine/alpine.c	2015-01-08 01:35:23.000000000 -0800
@@ -2354,7 +2354,7 @@
 	break;
 
       default:
-	panic("Unexpected command in choose_setup_cmd");
+	uw_panic("Unexpected command in choose_setup_cmd");
 	break;
     }
 
@@ -3358,7 +3358,7 @@
   This is also called from imap routines and fs_get and fs_resize.
   ----*/
 void
-panic(char *message)
+uw_panic(char *message)
 {
     char buf[256];
 
diff -ur alpine-2.11/alpine/confscroll.c patched/alpine/confscroll.c
--- alpine-2.11/alpine/confscroll.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/alpine/confscroll.c	2015-01-08 01:35:23.000000000 -0800
@@ -5333,7 +5333,7 @@
 	}
 	else{
 	    if(reset_character_set_stuff(&err) == -1)
-	      panic(err ? err : "trouble with Character-Set");
+	      uw_panic(err ? err : "trouble with Character-Set");
 	    else if(err){
 		q_status_message(SM_ORDER | SM_DING, 3, 5, err);
 		fs_give((void **) &err);
@@ -5349,7 +5349,7 @@
 	}
 	else{
 	    if(reset_character_set_stuff(&err) == -1)
-	      panic(err ? err : "trouble with Character-Set");
+	      uw_panic(err ? err : "trouble with Character-Set");
 	    else if(err){
 		q_status_message(SM_ORDER | SM_DING, 3, 5, err);
 		fs_give((void **) &err);
diff -ur alpine-2.11/alpine/folder.c patched/alpine/folder.c
--- alpine-2.11/alpine/folder.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/alpine/folder.c	2015-01-08 01:35:23.000000000 -0800
@@ -1024,7 +1024,7 @@
 		  strncat(servpart, "#news.", sizeof(servpart)-1-strlen(servpart));
 	    }
 	    else
-	      panic("Unexpected invalid server");
+	      uw_panic("Unexpected invalid server");
 	}
 	else
 	  servpart[0] = '\0';
diff -ur alpine-2.11/alpine/help.c patched/alpine/help.c
--- alpine-2.11/alpine/help.c	2013-08-14 21:36:01.000000000 -0700
+++ patched/alpine/help.c	2015-01-08 01:35:23.000000000 -0800
@@ -431,7 +431,7 @@
 	break;
 
       default :
-	panic("Unhandled case");
+	uw_panic("Unhandled case");
     }
 
     return(rv);
@@ -898,7 +898,7 @@
         break;
 
       default:
-        panic("Unexpected command in journal_processor");
+        uw_panic("Unexpected command in journal_processor");
 	break;
     }
     
diff -ur alpine-2.11/alpine/imap.c patched/alpine/imap.c
--- alpine-2.11/alpine/imap.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/alpine/imap.c	2015-01-08 01:35:23.000000000 -0800
@@ -1842,7 +1842,7 @@
 	break;
 
       default:
-	panic("Unexpected command in answer_cert_failure");
+	uw_panic("Unexpected command in answer_cert_failure");
 	break;
     }
 
diff -ur alpine-2.11/alpine/mailcmd.c patched/alpine/mailcmd.c
--- alpine-2.11/alpine/mailcmd.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/alpine/mailcmd.c	2015-01-08 01:35:23.000000000 -0800
@@ -1479,7 +1479,7 @@
 
           /*--------- Default, unknown command ----------*/
       default:
-	panic("Unexpected command case");
+	uw_panic("Unexpected command case");
 	break;
     }
 
@@ -2676,7 +2676,7 @@
     RULE_RESULT	     *rule;
 
     if(!cntxt)
-      panic("no context ptr in save_prompt");
+      uw_panic("no context ptr in save_prompt");
 
     init_hist(&history, HISTSIZE);
 
@@ -3068,7 +3068,7 @@
 	    break;
 
 	  default :
-	    panic("Unhandled case");
+	    uw_panic("Unhandled case");
 	    break;
 	}
 
@@ -5713,7 +5713,7 @@
 	    break;
 
 	  default :
-	    panic("Unhandled case");
+	    uw_panic("Unhandled case");
 	    break;
 	}
 
diff -ur alpine-2.11/alpine/mailpart.c patched/alpine/mailpart.c
--- alpine-2.11/alpine/mailpart.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/alpine/mailpart.c	2015-01-08 01:35:23.000000000 -0800
@@ -2631,7 +2631,7 @@
 	break;
 
       default:
-	panic("Unexpected command case");
+	uw_panic("Unexpected command case");
 	break;
     }
 
diff -ur alpine-2.11/alpine/mailview.c patched/alpine/mailview.c
--- alpine-2.11/alpine/mailview.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/alpine/mailview.c	2015-01-08 01:35:23.000000000 -0800
@@ -1068,7 +1068,7 @@
 
 
       default :
-	panic("Unexpected HANDLE type");
+	uw_panic("Unexpected HANDLE type");
     }
 
     return(0);
@@ -1171,7 +1171,7 @@
 	}
 
 	if(l == start_line)
-	  panic("Internal Error: no handle found");
+	  uw_panic("Internal Error: no handle found");
 	else
 	  start_line = l;
     }
diff -ur alpine-2.11/alpine/newuser.c patched/alpine/newuser.c
--- alpine-2.11/alpine/newuser.c	2013-08-14 21:36:01.000000000 -0700
+++ patched/alpine/newuser.c	2015-01-08 01:35:23.000000000 -0800
@@ -197,7 +197,7 @@
 	break;
 
       default :
-	panic("Unhandled case");
+	uw_panic("Unhandled case");
     }
 
     return(rv);
diff -ur alpine-2.11/alpine/radio.c patched/alpine/radio.c
--- alpine-2.11/alpine/radio.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/alpine/radio.c	2015-01-08 01:35:23.000000000 -0800
@@ -280,7 +280,7 @@
 
 	if(flags & RB_RET_HELP){
 	    if(help_text != NO_HELP)
-	      panic("RET_HELP and help in radio_buttons!");
+	      uw_panic("RET_HELP and help in radio_buttons!");
 
 	    button_list[b].ch = '?';
 	    button_list[b].rval = 3;
@@ -360,7 +360,7 @@
     clrbitmap(bitmap);
     memset(fkey_table, NO_OP_COMMAND, 12 * sizeof(int));
     if(flags & RB_RET_HELP && help_text != NO_HELP)
-      panic("RET_HELP and help in radio_buttons!");
+      uw_panic("RET_HELP and help in radio_buttons!");
 
     /* if shown, always at position 0 */
     if(help_text != NO_HELP || flags & RB_RET_HELP){
@@ -398,7 +398,7 @@
 	       && esc_list[i-start].label[0] != '\0'){  /* visible */
 		if(i == 12){  /* special case where we put it in help slot */
 		    if(help_text != NO_HELP)
-		  panic("Programming botch in radio_buttons(): too many keys");
+		  uw_panic("Programming botch in radio_buttons(): too many keys");
 
 		    if(esc_list[i-start].ch != -2)
 		      setbitn(0, bitmap); /* the help slot */
@@ -420,7 +420,7 @@
 		      rb_keymenu.keys[0].label = esc_list[i-start].label;
 		}
 		else
-		  panic("Botch in radio_buttons(): too many keys");
+		  uw_panic("Botch in radio_buttons(): too many keys");
 	    }
 	}
 	else{
@@ -823,16 +823,16 @@
      */
     for(i=0; list1 && list1[i].ch != -1; i++){
 	if(list1[i].rval == list[j].rval)
-	  panic("1bad rval in d_r");
+	  uw_panic("1bad rval in d_r");
 	if(F_OFF(F_USE_FK,ps_global) && list1[i].ch == list[j].ch)
-	  panic("1bad ch in ccl");
+	  uw_panic("1bad ch in ccl");
     }
 
     for(i=0; list2 && list2[i].ch != -1; i++){
 	if(list2[i].rval == list[j].rval)
-	  panic("2bad rval in d_r");
+	  uw_panic("2bad rval in d_r");
 	if(F_OFF(F_USE_FK,ps_global) && list2[i].ch == list[j].ch)
-	  panic("2bad ch in ccl");
+	  uw_panic("2bad ch in ccl");
     }
 
     j++;
@@ -840,7 +840,7 @@
     /* the visible set */
     for(i=0; list1 && list1[i].ch != -1; i++){
 	if(i >= KEYS_PER_LIST && list1[i].label[0] != '\0')
-	  panic("too many visible keys in ccl");
+	  uw_panic("too many visible keys in ccl");
 
 	list[j++] = list1[i];
     }
diff -ur alpine-2.11/alpine/remote.c patched/alpine/remote.c
--- alpine-2.11/alpine/remote.c	2013-08-14 21:36:01.000000000 -0700
+++ patched/alpine/remote.c	2015-01-08 01:35:23.000000000 -0800
@@ -248,7 +248,7 @@
 	break;
 
       default:
-	panic("Unexpected command in rd_answer_forge_warning");
+	uw_panic("Unexpected command in rd_answer_forge_warning");
 	break;
     }
 
diff -ur alpine-2.11/alpine/roleconf.c patched/alpine/roleconf.c
--- alpine-2.11/alpine/roleconf.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/alpine/roleconf.c	2015-01-08 01:35:23.000000000 -0800
@@ -5935,7 +5935,7 @@
     char ***alval;
 
     if(!(v && name))
-      panic("setup_dummy_pattern_var");
+      uw_panic("setup_dummy_pattern_var");
 
     v->name = (char *) fs_get(strlen(name)+NOTLEN+1);
     snprintf(v->name, strlen(name)+NOTLEN+1, "%s%s", (defpat && defpat->not) ? NOT : "", name);
diff -ur alpine-2.11/alpine/signal.c patched/alpine/signal.c
--- alpine-2.11/alpine/signal.c	2013-08-14 21:36:01.000000000 -0700
+++ patched/alpine/signal.c	2015-01-08 01:35:23.000000000 -0800
@@ -188,7 +188,7 @@
     snprintf(buf, sizeof(buf), "Received abort signal(sig=%d)", sig);
     buf[sizeof(buf)-1] = '\0';
 
-    panic(buf);				/* clean up and get out */
+    uw_panic(buf);				/* clean up and get out */
 
     exit(-1);				/* in case panic doesn't kill us */
 }
diff -ur alpine-2.11/pith/adrbklib.c patched/pith/adrbklib.c
--- alpine-2.11/pith/adrbklib.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/pith/adrbklib.c	2015-01-08 01:37:02.000000000 -0800
@@ -4343,7 +4343,7 @@
 
     nn = (adrbk_cntr_t)n;
     if(!exp_head)
-      panic("exp_head not set in exp_set_expanded");
+      uw_panic("exp_head not set in exp_set_expanded");
 
     for(e = exp_head; e->next; e = e->next)
       if(e->next->ent >= nn)
@@ -4375,7 +4375,7 @@
 
     nn = (adrbk_cntr_t)n;
     if(!exp_head)
-      panic("exp_head not set in exp_unset_expanded");
+      uw_panic("exp_head not set in exp_unset_expanded");
 
     for(e = exp_head; e->next; e = e->next)
       if(e->next->ent >= nn)
@@ -4407,7 +4407,7 @@
 
     nn = (adrbk_cntr_t)n;
     if(!exp_head)
-      panic("exp_head not set in exp_del_nth");
+      uw_panic("exp_head not set in exp_del_nth");
 
     e = exp_head->next;
     while(e && e->ent < nn)
@@ -4447,7 +4447,7 @@
 
     nn = (adrbk_cntr_t)n;
     if(!exp_head)
-      panic("exp_head not set in exp_add_nth");
+      uw_panic("exp_head not set in exp_add_nth");
 
     e = exp_head->next;
     while(e && e->ent < nn)
diff -ur alpine-2.11/pith/charset.c patched/pith/charset.c
--- alpine-2.11/pith/charset.c	2013-08-14 21:36:50.000000000 -0700
+++ patched/pith/charset.c	2015-01-08 01:37:02.000000000 -0800
@@ -424,7 +424,7 @@
 	    if(utf8_charset(cset)){
 		if(!utf8_text(&src, cset, &xsrc, 0L)){
 		    /* should not happen */
-		    panic("c-client failed to transliterate recognized characterset");
+		    uw_panic("c-client failed to transliterate recognized characterset");
 		}
 	    }
 	    else{
@@ -451,7 +451,7 @@
 	    if(!(cs->type == CT_ASCII || cs->type == CT_UTF8)){
 		if(!utf8_text_cs(&src, cs, &xsrc, 0L, 0L)){
 		    /* should not happen */
-		    panic("c-client failed to transliterate recognized characterset");
+		    uw_panic("c-client failed to transliterate recognized characterset");
 		}
 	    }
 	}
@@ -461,7 +461,7 @@
 		&& utf8_charset(cset)){
 		if(!utf8_text(&src, cset, &xsrc, 0L)){
 		    /* should not happen */
-		    panic("c-client failed to transliterate recognized character set");
+		    uw_panic("c-client failed to transliterate recognized character set");
 		}
 	}
 	else{
diff -ur alpine-2.11/pith/conf.c patched/pith/conf.c
--- alpine-2.11/pith/conf.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/pith/conf.c	2015-01-08 01:37:02.000000000 -0800
@@ -1922,7 +1922,7 @@
      */
 
     if(reset_character_set_stuff(&err) == -1)
-      panic(err ? err : "trouble with character set setup");
+      uw_panic(err ? err : "trouble with character set setup");
     else if(err){
 	init_error(ps, SM_ORDER | SM_DING, 3, 5, err);
 	fs_give((void **) &err);
@@ -2743,7 +2743,7 @@
 	      case 4: valptr = v->global_val.l; break;
 	      case 5: valptr = v->fixed_val.l; break;
 	      case 6: valptr = v->cmdline_val.l; break;
-	      default: panic("bad case in convert_configvar");
+	      default: uw_panic("bad case in convert_configvar");
 	    }
 
 	    if(valptr){
@@ -2769,7 +2769,7 @@
 	      case 4: valptr = &v->global_val.p; break;
 	      case 5: valptr = &v->fixed_val.p; break;
 	      case 6: valptr = &v->cmdline_val.p; break;
-	      default: panic("bad case in convert_configvar");
+	      default: uw_panic("bad case in convert_configvar");
 	    }
 
 	    if(valptr && *valptr && (*valptr)[0]){
@@ -7683,7 +7683,7 @@
 
     snprintf(buf1, sizeof(buf1), "%.*s", MAX(sizeof(buf1) - 1 - strlen(message), 0), arg);
     snprintf(buf2, sizeof(buf2), message, buf1);
-    panic(buf2);
+    uw_panic(buf2);
 }
 
 
diff -ur alpine-2.11/pith/filter.c patched/pith/filter.c
--- alpine-2.11/pith/filter.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/pith/filter.c	2015-01-08 01:37:02.000000000 -0800
@@ -365,10 +365,10 @@
 	    fs_give((void **) &sp);
 	}
 	else
-	  panic("Programmer botch: Can't unstack store readc");
+	  uw_panic("Programmer botch: Can't unstack store readc");
     }
     else
-      panic("Programmer botch: NULL store clearing store readc");
+      uw_panic("Programmer botch: NULL store clearing store readc");
 }
 
 
@@ -399,10 +399,10 @@
 	    fs_give((void **) &sp);
 	}
 	else
-	  panic("Programmer botch: Can't unstack store writec");
+	  uw_panic("Programmer botch: Can't unstack store writec");
     }
     else
-      panic("Programmer botch: NULL store clearing store writec");
+      uw_panic("Programmer botch: NULL store clearing store writec");
 }
 
 
diff -ur alpine-2.11/pith/folder.c patched/pith/folder.c
--- alpine-2.11/pith/folder.c	2013-08-14 21:36:50.000000000 -0700
+++ patched/pith/folder.c	2015-01-08 01:37:02.000000000 -0800
@@ -592,7 +592,7 @@
      * collection???
      */
     if(!prime)
-      panic(_("No folder collections defined"));
+      uw_panic(_("No folder collections defined"));
 
     /*
      * At this point, insert the INBOX mapping as the leading
diff -ur alpine-2.11/pith/imap.c patched/pith/imap.c
--- alpine-2.11/pith/imap.c	2014-07-11 14:32:28.000000000 -0700
+++ patched/pith/imap.c	2015-01-08 01:37:02.000000000 -0800
@@ -643,7 +643,7 @@
 void
 mm_fatal(char *message)
 {
-    panic(message);
+    uw_panic(message);
 }
 
 
diff -ur alpine-2.11/pith/ldap.c patched/pith/ldap.c
--- alpine-2.11/pith/ldap.c	2013-08-14 21:36:50.000000000 -0700
+++ patched/pith/ldap.c	2015-01-08 01:37:02.000000000 -0800
@@ -1700,7 +1700,7 @@
 	break;
     
       default:
-	panic("LDAP function not implemented");
+	uw_panic("LDAP function not implemented");
     }
 #endif
 
diff -ur alpine-2.11/pith/mailcap.c patched/pith/mailcap.c
--- alpine-2.11/pith/mailcap.c	2014-07-11 14:32:29.000000000 -0700
+++ patched/pith/mailcap.c	2015-01-08 01:37:02.000000000 -0800
@@ -252,7 +252,7 @@
 	return;
 
       default:
-	panic("Programmer botch in mc_process_file");
+	uw_panic("Programmer botch in mc_process_file");
 	/*NOTREACHED*/
     }
 
diff -ur alpine-2.11/pith/mailcmd.c patched/pith/mailcmd.c
--- alpine-2.11/pith/mailcmd.c	2014-07-11 14:32:29.000000000 -0700
+++ patched/pith/mailcmd.c	2015-01-08 01:37:02.000000000 -0800
@@ -2923,7 +2923,7 @@
                 break;
 
               default:
-                panic("Unexpected incoming startup case");
+                uw_panic("Unexpected incoming startup case");
                 break;
 
   }
diff -ur alpine-2.11/pith/mailindx.c patched/pith/mailindx.c
--- alpine-2.11/pith/mailindx.c	2014-07-11 14:32:29.000000000 -0700
+++ patched/pith/mailindx.c	2015-01-08 01:37:02.000000000 -0800
@@ -1237,7 +1237,7 @@
 		    break;
 		  
 		  default:
-		    panic("Unhandled fixed case in setup_index_header");
+		    uw_panic("Unhandled fixed case in setup_index_header");
 		    break;
 		}
 	    }
@@ -3396,7 +3396,7 @@
     IELEM_S  *ielem;
 
     if(!buf)
-      panic("NULL buf in simple_index_line()");
+      uw_panic("NULL buf in simple_index_line()");
 
     if(buflen > 0)
       buf[0] = '\0';
@@ -5202,7 +5202,7 @@
 		break;
 	  
 	      default:
-		panic("Unhandled case in prio_str");
+		uw_panic("Unhandled case in prio_str");
 		break;
 	    }
 
diff -ur alpine-2.11/pith/mimetype.c patched/pith/mimetype.c
--- alpine-2.11/pith/mimetype.c	2013-08-14 21:36:50.000000000 -0700
+++ patched/pith/mimetype.c	2015-01-08 01:37:02.000000000 -0800
@@ -176,7 +176,7 @@
 	    }
 	}
 	else
-	  panic("Unhandled mime type search");
+	  uw_panic("Unhandled mime type search");
     }
 
     /* if we still can not find the type, but it is a .docx (or alike) extension
diff -ur alpine-2.11/pith/pattern.c patched/pith/pattern.c
--- alpine-2.11/pith/pattern.c	2014-07-11 14:32:29.000000000 -0700
+++ patched/pith/pattern.c	2015-01-08 01:37:02.000000000 -0800
@@ -1295,9 +1295,9 @@
     char  *p;
 
     if(!patgrp)
-      panic("NULL patgrp to parse_patgrp_slash");
+      uw_panic("NULL patgrp to parse_patgrp_slash");
     else if(!(str && *str)){
-	panic("NULL or empty string to parse_patgrp_slash");
+	uw_panic("NULL or empty string to parse_patgrp_slash");
 	patgrp->bogus = 1;
     }
     else if(!strncmp(str, "/NICK=", 6))
@@ -1516,9 +1516,9 @@
     NAMEVAL_S *v;
 
     if(!action)
-      panic("NULL action to parse_action_slash");
+      uw_panic("NULL action to parse_action_slash");
     else if(!(str && *str))
-      panic("NULL or empty string to parse_action_slash");
+      uw_panic("NULL or empty string to parse_action_slash");
     else if(!strncmp(str, "/ROLE=1", 7))
       action->is_a_role = 1;
     else if(!strncmp(str, "/OTHER=1", 8))
diff -ur alpine-2.11/pith/save.c patched/pith/save.c
--- alpine-2.11/pith/save.c	2014-07-11 14:32:29.000000000 -0700
+++ patched/pith/save.c	2015-01-08 01:37:02.000000000 -0800
@@ -240,7 +240,7 @@
 	break;
       
       default:
-	panic(botch);
+	uw_panic(botch);
 	break;
     }
 
diff -ur alpine-2.11/pith/send.c patched/pith/send.c
--- alpine-2.11/pith/send.c	2014-07-11 14:32:29.000000000 -0700
+++ patched/pith/send.c	2015-01-08 01:37:02.000000000 -0800
@@ -437,7 +437,7 @@
 	fields[++i]   = "X-Our-ReplyTo";	/* ReplyTo is real */
 	fields[++i]   = "Lcc";		/* Lcc: too... */
 	if(++i != FIELD_COUNT)
-	  panic("Fix FIELD_COUNT");
+	  uw_panic("Fix FIELD_COUNT");
 
 	for(pf = *custom; pf && pf->name; pf = pf->next)
 	  if(!pf->standard)
@@ -3128,7 +3128,7 @@
       return((char *)s);
     
     if(dlen < SIZEOF_20KBUF)
-      panic("bad call to encode_header_value");
+      uw_panic("bad call to encode_header_value");
 
     if(!encode_all){
 	/*
diff -ur alpine-2.11/pith/sort.c patched/pith/sort.c
--- alpine-2.11/pith/sort.c	2014-07-11 14:32:29.000000000 -0700
+++ patched/pith/sort.c	2015-01-08 01:37:02.000000000 -0800
@@ -497,7 +497,7 @@
     dprint((2, "sort_sort_callback\n"));
 
     if(mn_get_total(g_sort.msgmap) < nmsgs)
-      panic("Message count shrank after sort!");
+      uw_panic("Message count shrank after sort!");
 
     /* copy ulongs to array of longs */
     for(i = nmsgs; i > 0; i--)
diff -ur alpine-2.11/pith/stream.c patched/pith/stream.c
--- alpine-2.11/pith/stream.c	2013-08-14 21:36:22.000000000 -0700
+++ patched/pith/stream.c	2015-01-08 01:37:02.000000000 -0800
@@ -1729,7 +1729,7 @@
 		 * partial text.
 		 */
 		if(!str_to_free)
-		  panic("Programmer botch: partial fetch attempt w/o string pointer");
+		  uw_panic("Programmer botch: partial fetch attempt w/o string pointer");
 		else
 		  *str_to_free = (char *) new_text.data;
 	    }
diff -ur alpine-2.11/pith/string.c patched/pith/string.c
--- alpine-2.11/pith/string.c	2014-07-11 14:32:29.000000000 -0700
+++ patched/pith/string.c	2015-01-08 01:37:02.000000000 -0800
@@ -2671,7 +2671,7 @@
     char *ans = NULL;
 
     if(!quote_these_chars)
-      panic("bad arg to add_escapes");
+      uw_panic("bad arg to add_escapes");
 
     if(src){
 	char *q, *p, *qchar;
diff -ur alpine-2.11/pith/util.h patched/pith/util.h
--- alpine-2.11/pith/util.h	2013-08-14 21:36:22.000000000 -0700
+++ patched/pith/util.h	2015-01-08 01:37:02.000000000 -0800
@@ -56,7 +56,7 @@
 /* currently mandatory to implement stubs */
 
 /* called when we detect a serious program error */
-void	  panic(char *);
+void	  uw_panic(char *);
 
 /* called when testing to see if panic state is in effect */
 int	 panicking(void);
diff -ur alpine-2.11/web/src/alpined.d/signal.c patched/web/src/alpined.d/signal.c
--- alpine-2.11/web/src/alpined.d/signal.c	2013-08-14 21:36:01.000000000 -0700
+++ patched/web/src/alpined.d/signal.c	2015-01-08 01:38:36.000000000 -0800
@@ -128,7 +128,7 @@
       (void) unlink(peSocketName);
 
     snprintf(tmp_20k_buf, SIZEOF_20KBUF, "Abort: signal %d", sig);
-    panic(tmp_20k_buf);		/* clean up and get out */
+    uw_panic(tmp_20k_buf);		/* clean up and get out */
     exit(-1);			/* in case panic doesn't kill us */
 }
 
diff -ur alpine-2.11/web/src/alpined.d/stubs.c patched/web/src/alpined.d/stubs.c
--- alpine-2.11/web/src/alpined.d/stubs.c	2013-08-14 21:36:01.000000000 -0700
+++ patched/web/src/alpined.d/stubs.c	2015-01-08 01:38:36.000000000 -0800
@@ -100,7 +100,7 @@
   This is also called from imap routines and fs_get and fs_resize.
   ----*/
 void
-panic(message)
+uw_panic(message)
     char *message;
 {
     in_panic = 1;